import 'package:saker/framework/hsf/hsf_object_base.dart';

class MobilePhoneNumber implements DObjectBase {
    static const String CHINA_CODE = '86';

    String standardCountryCode;

    String phoneNumber;

    String countryCode;


    String getRType() {
        return r'com.alibaba.havana.utils.MobilePhoneNumber';
    }

    @override
    void fromJson(Map<dynamic, dynamic> json, {Map<String, generic_new_func> genericNewMap}) {
        //从Map转成对象的实现
        standardCountryCode = JsonUtil.parseString(json['standardCountryCode']);
        phoneNumber = JsonUtil.parseString(json['phoneNumber']);
        countryCode = JsonUtil.parseString(json['countryCode']);
    }

    @override
    Map<String, dynamic> toHessianJson() {
        Map<String, dynamic> val = {};

        void writeNotNull(String key, dynamic value) {
          if (value != null) {
            val[key] = value;
          }
        }

        writeNotNull('standardCountryCode', makePair(standardCountryCode,14));
        writeNotNull('phoneNumber', makePair(phoneNumber,14));
        writeNotNull('countryCode', makePair(countryCode,14));
        return val;
    }

    @override
    dynamic toJson() {
        Map<String, dynamic> val = {};

        void writeNotNull(String key, dynamic value) {
          if (value != null) {
            val[key] = value;
          }
        }

        writeNotNull('standardCountryCode', standardCountryCode);
        writeNotNull('phoneNumber', phoneNumber);
        writeNotNull('countryCode', countryCode);
        return val;
    }
}
