import 'package:saker/framework/hsf/hsf_object_base.dart';

class ContactDO implements DObjectBase {
    String nick;

    String mobilePhone;

    String email;

    int versionObject;

    int numId;

    String strId;


    String getRType() {
        return r'com.taobao.uic.common.domain.ContactDO';
    }

    @override
    void fromJson(Map<dynamic, dynamic> json, {Map<String, generic_new_func> genericNewMap}) {
        //从Map转成对象的实现
        nick = JsonUtil.parseString(json['nick']);
        mobilePhone = JsonUtil.parseString(json['mobilePhone']);
        email = JsonUtil.parseString(json['email']);
        versionObject = JsonUtil.parseInt(json['versionObject']);
        numId = JsonUtil.parseInt(json['numId']);
        strId = JsonUtil.parseString(json['strId']);
    }

    @override
    Map<String, dynamic> toHessianJson() {
        Map<String, dynamic> val = {};

        void writeNotNull(String key, dynamic value) {
          if (value != null) {
            val[key] = value;
          }
        }

        writeNotNull('nick', makePair(nick,14));
        writeNotNull('mobilePhone', makePair(mobilePhone,14));
        writeNotNull('email', makePair(email,14));
        writeNotNull('versionObject', makePair(versionObject,8));
        writeNotNull('numId', makePair(numId,8));
        writeNotNull('strId', makePair(strId,14));
        return val;
    }

    @override
    dynamic toJson() {
        Map<String, dynamic> val = {};

        void writeNotNull(String key, dynamic value) {
          if (value != null) {
            val[key] = value;
          }
        }

        writeNotNull('nick', nick);
        writeNotNull('mobilePhone', mobilePhone);
        writeNotNull('email', email);
        writeNotNull('versionObject', versionObject);
        writeNotNull('numId', numId);
        writeNotNull('strId', strId);
        return val;
    }
}
