import 'package:saker/framework/hsf/hsf_object_base.dart';
import 'package:uic_test/domains/com/taobao/uic/common/domain/version_d_o.dart';

class ExtraUserDO extends VersionDO implements DObjectBase {
    int id;

    String userId;

    DateTime gmtModified;

    DateTime gmtCreate;

    int pmsgNitify;

    int failCount;

    int sellerGoodNum;

    int buyerGoodNum;

    int buyerNum;

    int buyerSum;

    int sellerNum;

    int sellerSum;

    int userTag;

    int userTag2;

    int userTag3;

    int userTag4;

    int promotedNum;

    int levelType;

    int userTag5;

    int userTag6;

    int userTag7;

    int userTag8;

    int userTag9;

    int userTag10;

    int userTag11;

    int userTag12;

    int userTag13;

    int userTag14;

    int userTag15;

    int userTag16;

    int userTag17;

    int userTag18;

    int userTag19;

    int userTag20;


    String getRType() {
        return r'com.taobao.uic.common.domain.ExtraUserDO';
    }

    @override
    void fromJson(Map<dynamic, dynamic> json, {Map<String, generic_new_func> genericNewMap}) {
        super.fromJson(json, genericNewMap: null);

        //从Map转成对象的实现
        id = JsonUtil.parseInt(json['id']);
        userId = JsonUtil.parseString(json['userId']);
        gmtModified = JsonUtil.parseDateTime(json['gmtModified']);
        gmtCreate = JsonUtil.parseDateTime(json['gmtCreate']);
        pmsgNitify = JsonUtil.parseInt(json['pmsgNitify']);
        failCount = JsonUtil.parseInt(json['failCount']);
        sellerGoodNum = JsonUtil.parseInt(json['sellerGoodNum']);
        buyerGoodNum = JsonUtil.parseInt(json['buyerGoodNum']);
        buyerNum = JsonUtil.parseInt(json['buyerNum']);
        buyerSum = JsonUtil.parseInt(json['buyerSum']);
        sellerNum = JsonUtil.parseInt(json['sellerNum']);
        sellerSum = JsonUtil.parseInt(json['sellerSum']);
        userTag = JsonUtil.parseInt(json['userTag']);
        userTag2 = JsonUtil.parseInt(json['userTag2']);
        userTag3 = JsonUtil.parseInt(json['userTag3']);
        userTag4 = JsonUtil.parseInt(json['userTag4']);
        promotedNum = JsonUtil.parseInt(json['promotedNum']);
        levelType = JsonUtil.parseInt(json['levelType']);
        userTag5 = JsonUtil.parseInt(json['userTag5']);
        userTag6 = JsonUtil.parseInt(json['userTag6']);
        userTag7 = JsonUtil.parseInt(json['userTag7']);
        userTag8 = JsonUtil.parseInt(json['userTag8']);
        userTag9 = JsonUtil.parseInt(json['userTag9']);
        userTag10 = JsonUtil.parseInt(json['userTag10']);
        userTag11 = JsonUtil.parseInt(json['userTag11']);
        userTag12 = JsonUtil.parseInt(json['userTag12']);
        userTag13 = JsonUtil.parseInt(json['userTag13']);
        userTag14 = JsonUtil.parseInt(json['userTag14']);
        userTag15 = JsonUtil.parseInt(json['userTag15']);
        userTag16 = JsonUtil.parseInt(json['userTag16']);
        userTag17 = JsonUtil.parseInt(json['userTag17']);
        userTag18 = JsonUtil.parseInt(json['userTag18']);
        userTag19 = JsonUtil.parseInt(json['userTag19']);
        userTag20 = JsonUtil.parseInt(json['userTag20']);
    }

    @override
    Map<String, dynamic> toHessianJson() {
        Map<String, dynamic> val = {};

        val.addAll(super.toHessianJson());

        void writeNotNull(String key, dynamic value) {
          if (value != null) {
            val[key] = value;
          }
        }

        writeNotNull('id', makePair(id,8));
        writeNotNull('userId', makePair(userId,14));
        writeNotNull('gmtModified', makePair(gmtModified?.millisecondsSinceEpoch,13));
        writeNotNull('gmtCreate', makePair(gmtCreate?.millisecondsSinceEpoch,13));
        writeNotNull('pmsgNitify', makePair(pmsgNitify,5));
        writeNotNull('failCount', makePair(failCount,6));
        writeNotNull('sellerGoodNum', makePair(sellerGoodNum,6));
        writeNotNull('buyerGoodNum', makePair(buyerGoodNum,6));
        writeNotNull('buyerNum', makePair(buyerNum,6));
        writeNotNull('buyerSum', makePair(buyerSum,6));
        writeNotNull('sellerNum', makePair(sellerNum,6));
        writeNotNull('sellerSum', makePair(sellerSum,6));
        writeNotNull('userTag', makePair(userTag,6));
        writeNotNull('userTag2', makePair(userTag2,8));
        writeNotNull('userTag3', makePair(userTag3,8));
        writeNotNull('userTag4', makePair(userTag4,8));
        writeNotNull('promotedNum', makePair(promotedNum,5));
        writeNotNull('levelType', makePair(levelType,5));
        writeNotNull('userTag5', makePair(userTag5,8));
        writeNotNull('userTag6', makePair(userTag6,8));
        writeNotNull('userTag7', makePair(userTag7,8));
        writeNotNull('userTag8', makePair(userTag8,8));
        writeNotNull('userTag9', makePair(userTag9,8));
        writeNotNull('userTag10', makePair(userTag10,8));
        writeNotNull('userTag11', makePair(userTag11,8));
        writeNotNull('userTag12', makePair(userTag12,8));
        writeNotNull('userTag13', makePair(userTag13,8));
        writeNotNull('userTag14', makePair(userTag14,8));
        writeNotNull('userTag15', makePair(userTag15,8));
        writeNotNull('userTag16', makePair(userTag16,8));
        writeNotNull('userTag17', makePair(userTag17,8));
        writeNotNull('userTag18', makePair(userTag18,8));
        writeNotNull('userTag19', makePair(userTag19,8));
        writeNotNull('userTag20', makePair(userTag20,8));
        return val;
    }

    @override
    dynamic toJson() {
        Map<String, dynamic> val = {};

        dynamic superVal = super.toJson();
        if (superVal != null && superVal is Map<String, dynamic>) {
            val.addAll(superVal);
        }

        void writeNotNull(String key, dynamic value) {
          if (value != null) {
            val[key] = value;
          }
        }

        writeNotNull('id', id);
        writeNotNull('userId', userId);
        writeNotNull('gmtModified', gmtModified);
        writeNotNull('gmtCreate', gmtCreate);
        writeNotNull('pmsgNitify', pmsgNitify);
        writeNotNull('failCount', failCount);
        writeNotNull('sellerGoodNum', sellerGoodNum);
        writeNotNull('buyerGoodNum', buyerGoodNum);
        writeNotNull('buyerNum', buyerNum);
        writeNotNull('buyerSum', buyerSum);
        writeNotNull('sellerNum', sellerNum);
        writeNotNull('sellerSum', sellerSum);
        writeNotNull('userTag', userTag);
        writeNotNull('userTag2', userTag2);
        writeNotNull('userTag3', userTag3);
        writeNotNull('userTag4', userTag4);
        writeNotNull('promotedNum', promotedNum);
        writeNotNull('levelType', levelType);
        writeNotNull('userTag5', userTag5);
        writeNotNull('userTag6', userTag6);
        writeNotNull('userTag7', userTag7);
        writeNotNull('userTag8', userTag8);
        writeNotNull('userTag9', userTag9);
        writeNotNull('userTag10', userTag10);
        writeNotNull('userTag11', userTag11);
        writeNotNull('userTag12', userTag12);
        writeNotNull('userTag13', userTag13);
        writeNotNull('userTag14', userTag14);
        writeNotNull('userTag15', userTag15);
        writeNotNull('userTag16', userTag16);
        writeNotNull('userTag17', userTag17);
        writeNotNull('userTag18', userTag18);
        writeNotNull('userTag19', userTag19);
        writeNotNull('userTag20', userTag20);
        return val;
    }
}
