import 'package:saker/framework/hsf/hsf_object_base.dart';
import 'package:uic_test/domains/com/taobao/uic/common/service/userinfo/client/abstract_uic_service_client.dart';
import 'package:uic_test/domains/com/taobao/uic/common/util/client_info.dart';

class UicExtraReadServiceClient extends AbstractUicServiceClient implements DObjectBase {
    dynamic uicCacheService;

    dynamic uicReadService;

    ClientInfo clientInfo;


    String getRType() {
        return r'com.taobao.uic.common.service.userinfo.client.UicExtraReadServiceClient';
    }

    @override
    void fromJson(Map<dynamic, dynamic> json, {Map<String, generic_new_func> genericNewMap}) {
        super.fromJson(json, genericNewMap: null);

        //从Map转成对象的实现
        uicCacheService = json['uicCacheService'] as dynamic;
        uicReadService = json['uicReadService'] as dynamic;
        clientInfo = json['clientInfo'] == null ? null : (new ClientInfo()..fromJson(json['clientInfo'] as Map, genericNewMap: null));
    }

    @override
    Map<String, dynamic> toHessianJson() {
        Map<String, dynamic> val = {};

        val.addAll(super.toHessianJson());

        void writeNotNull(String key, dynamic value) {
          if (value != null) {
            val[key] = value;
          }
        }

        writeNotNull('uicCacheService', makePair(uicCacheService?.toString(),r'java.lang.Object'));
        writeNotNull('uicReadService', makePair(uicReadService?.toString(),r'java.lang.Object'));
        writeNotNull('clientInfo', makePair(clientInfo?.toHessianJson(),r'com.taobao.uic.common.util.ClientInfo'));
        return val;
    }

    @override
    dynamic toJson() {
        Map<String, dynamic> val = {};

        dynamic superVal = super.toJson();
        if (superVal != null && superVal is Map<String, dynamic>) {
            val.addAll(superVal);
        }

        void writeNotNull(String key, dynamic value) {
          if (value != null) {
            val[key] = value;
          }
        }

        writeNotNull('uicCacheService', uicCacheService);
        writeNotNull('uicReadService', uicReadService);
        writeNotNull('clientInfo', makePairJson(clientInfo?.toJson(),r'com.taobao.uic.common.util.ClientInfo'));
        return val;
    }
}
