import 'package:saker/framework/hsf/hsf_object_base.dart';

class ClientInfo implements DObjectBase {
    static const String MONITOR_NAME = 'tbuichost';

    String version;

    String appName;

    String email;

    String appName4Client;


    String getRType() {
        return r'com.taobao.uic.common.util.ClientInfo';
    }

    @override
    void fromJson(Map<dynamic, dynamic> json, {Map<String, generic_new_func> genericNewMap}) {
        //从Map转成对象的实现
        version = JsonUtil.parseString(json['version']);
        appName = JsonUtil.parseString(json['appName']);
        email = JsonUtil.parseString(json['email']);
        appName4Client = JsonUtil.parseString(json['appName4Client']);
    }

    @override
    Map<String, dynamic> toHessianJson() {
        Map<String, dynamic> val = {};

        void writeNotNull(String key, dynamic value) {
          if (value != null) {
            val[key] = value;
          }
        }

        writeNotNull('version', makePair(version,14));
        writeNotNull('appName', makePair(appName,14));
        writeNotNull('email', makePair(email,14));
        writeNotNull('appName4Client', makePair(appName4Client,14));
        return val;
    }

    @override
    dynamic toJson() {
        Map<String, dynamic> val = {};

        void writeNotNull(String key, dynamic value) {
          if (value != null) {
            val[key] = value;
          }
        }

        writeNotNull('version', version);
        writeNotNull('appName', appName);
        writeNotNull('email', email);
        writeNotNull('appName4Client', appName4Client);
        return val;
    }
}
