import 'dart:async';
import 'dart:convert';
import 'package:saker/framework/hsf/hsf_object_base.dart';
import 'package:saker/framework/jproxy/proxy_rpc_base.dart';
import 'package:uic_test/domains/com/taobao/uic/common/service/userinfo/client/b2_b_extra_read_service_client.dart';
import 'package:uic_test/domains/com/taobao/uic/common/domain/tiny_user_d_o.dart';
import 'package:uic_test/domains/com/taobao/uic/common/util/client_info.dart';
import 'package:uic_test/domains/com/taobao/uic/common/service/userinfo/client/uic_extra_read_service_client.dart';
import 'package:uic_test/domains/com/taobao/uic/common/domain/result_d_o.dart';
import 'package:uic_test/domains/com/taobao/uic/common/domain/base_user_d_o.dart';
import 'package:uic_test/domains/com/taobao/uic/common/domain/contact_d_o.dart';
import 'package:uic_test/domains/com/alibaba/havana/api/member/identifier_check_result.dart';
import 'package:uic_test/domains/com/alibaba/havana/api/member/member.dart';

class UicReadServiceClient {
    static Future<void> afterPropertiesSet_ffff() async {
        Map<String, dynamic> _paramsMap = {};
        String _params = json.encode(_paramsMap);

        await ProxyRpcBase.getInstance().call('uicReadServiceClientTestPlugin', 'afterPropertiesSet_ffff', _params);
        return;
    }

    static Future<ResultDO<IdentifierCheckResult>> checkEmail4Update_59c0(int arg0, String arg1, int arg2) async {;
        Map<String, dynamic> _paramsMap = {};
        _paramsMap["arg0"] = arg0;
        _paramsMap["arg1"] = arg1;
        _paramsMap["arg2"] = arg2;
        String _params = json.encode(_paramsMap);

        var _result = await ProxyRpcBase.getInstance().call('uicReadServiceClientTestPlugin', 'checkEmail4Update_59c0', _params);

        if (_result == null || !_result.success || _result.data == null) {
            return null;
        }

        Map<String, dynamic>  _resultMap = json.decode(_result.data) as Map<String, dynamic>;
        ResultDO<IdentifierCheckResult> _data = _resultMap['Res'] == null ? null : (new ResultDO<IdentifierCheckResult>()..fromJson(_resultMap['Res'] as Map, genericNewMap: {'T':(v) => new IdentifierCheckResult()..fromJson(v as Map)}));
        return _data;
    }

    static Future<ResultDO<IdentifierCheckResult>> checkMobile4Update_59c0(int arg0, String arg1, int arg2) async {;
        Map<String, dynamic> _paramsMap = {};
        _paramsMap["arg0"] = arg0;
        _paramsMap["arg1"] = arg1;
        _paramsMap["arg2"] = arg2;
        String _params = json.encode(_paramsMap);

        var _result = await ProxyRpcBase.getInstance().call('uicReadServiceClientTestPlugin', 'checkMobile4Update_59c0', _params);

        if (_result == null || !_result.success || _result.data == null) {
            return null;
        }

        Map<String, dynamic>  _resultMap = json.decode(_result.data) as Map<String, dynamic>;
        ResultDO<IdentifierCheckResult> _data = _resultMap['Res'] == null ? null : (new ResultDO<IdentifierCheckResult>()..fromJson(_resultMap['Res'] as Map, genericNewMap: {'T':(v) => new IdentifierCheckResult()..fromJson(v as Map)}));
        return _data;
    }

    static Future<ResultDO<List<String>>> coverNickToUid32_9481(String arg0) async {;
        Map<String, dynamic> _paramsMap = {};
        _paramsMap["arg0"] = arg0;
        String _params = json.encode(_paramsMap);

        var _result = await ProxyRpcBase.getInstance().call('uicReadServiceClientTestPlugin', 'coverNickToUid32_9481', _params);

        if (_result == null || !_result.success || _result.data == null) {
            return null;
        }

        Map<String, dynamic>  _resultMap = json.decode(_result.data) as Map<String, dynamic>;
        ResultDO<List<String>> _data = _resultMap['Res'] == null ? null : (new ResultDO<List<String>>()..fromJson(_resultMap['Res'] as Map, genericNewMap: {'T':(v) => (v as List)?.map((dynamic e) => JsonUtil.parseString(e))?.toList()}));
        return _data;
    }

    static Future<ResultDO<List<String>>> coverUid32ToNick_9481(String arg0) async {;
        Map<String, dynamic> _paramsMap = {};
        _paramsMap["arg0"] = arg0;
        String _params = json.encode(_paramsMap);

        var _result = await ProxyRpcBase.getInstance().call('uicReadServiceClientTestPlugin', 'coverUid32ToNick_9481', _params);

        if (_result == null || !_result.success || _result.data == null) {
            return null;
        }

        Map<String, dynamic>  _resultMap = json.decode(_result.data) as Map<String, dynamic>;
        ResultDO<List<String>> _data = _resultMap['Res'] == null ? null : (new ResultDO<List<String>>()..fromJson(_resultMap['Res'] as Map, genericNewMap: {'T':(v) => (v as List)?.map((dynamic e) => JsonUtil.parseString(e))?.toList()}));
        return _data;
    }

    static Future<ResultDO<List<String>>> coverUserIdToNick_9481(String arg0) async {;
        Map<String, dynamic> _paramsMap = {};
        _paramsMap["arg0"] = arg0;
        String _params = json.encode(_paramsMap);

        var _result = await ProxyRpcBase.getInstance().call('uicReadServiceClientTestPlugin', 'coverUserIdToNick_9481', _params);

        if (_result == null || !_result.success || _result.data == null) {
            return null;
        }

        Map<String, dynamic>  _resultMap = json.decode(_result.data) as Map<String, dynamic>;
        ResultDO<List<String>> _data = _resultMap['Res'] == null ? null : (new ResultDO<List<String>>()..fromJson(_resultMap['Res'] as Map, genericNewMap: {'T':(v) => (v as List)?.map((dynamic e) => JsonUtil.parseString(e))?.toList()}));
        return _data;
    }

    static Future<ResultDO<List<String>>> coverUserIdToUid32_9481(String arg0) async {;
        Map<String, dynamic> _paramsMap = {};
        _paramsMap["arg0"] = arg0;
        String _params = json.encode(_paramsMap);

        var _result = await ProxyRpcBase.getInstance().call('uicReadServiceClientTestPlugin', 'coverUserIdToUid32_9481', _params);

        if (_result == null || !_result.success || _result.data == null) {
            return null;
        }

        Map<String, dynamic>  _resultMap = json.decode(_result.data) as Map<String, dynamic>;
        ResultDO<List<String>> _data = _resultMap['Res'] == null ? null : (new ResultDO<List<String>>()..fromJson(_resultMap['Res'] as Map, genericNewMap: {'T':(v) => (v as List)?.map((dynamic e) => JsonUtil.parseString(e))?.toList()}));
        return _data;
    }

    static Future<ResultDO<List<BaseUserDO>>> getAllBaseUserListByMobile_9481(String arg0) async {;
        Map<String, dynamic> _paramsMap = {};
        _paramsMap["arg0"] = arg0;
        String _params = json.encode(_paramsMap);

        var _result = await ProxyRpcBase.getInstance().call('uicReadServiceClientTestPlugin', 'getAllBaseUserListByMobile_9481', _params);

        if (_result == null || !_result.success || _result.data == null) {
            return null;
        }

        Map<String, dynamic>  _resultMap = json.decode(_result.data) as Map<String, dynamic>;
        ResultDO<List<BaseUserDO>> _data = _resultMap['Res'] == null ? null : (new ResultDO<List<BaseUserDO>>()..fromJson(_resultMap['Res'] as Map, genericNewMap: {'T':(v) => (v as List)?.map((dynamic e) => e == null ? null : (new BaseUserDO()..fromJson(e as Map, genericNewMap: null)))?.toList()}));
        return _data;
    }

    static Future<ResultDO<List<BaseUserDO>>> getB2BUserInfoListByMobile_9481(String arg0) async {;
        Map<String, dynamic> _paramsMap = {};
        _paramsMap["arg0"] = arg0;
        String _params = json.encode(_paramsMap);

        var _result = await ProxyRpcBase.getInstance().call('uicReadServiceClientTestPlugin', 'getB2BUserInfoListByMobile_9481', _params);

        if (_result == null || !_result.success || _result.data == null) {
            return null;
        }

        Map<String, dynamic>  _resultMap = json.decode(_result.data) as Map<String, dynamic>;
        ResultDO<List<BaseUserDO>> _data = _resultMap['Res'] == null ? null : (new ResultDO<List<BaseUserDO>>()..fromJson(_resultMap['Res'] as Map, genericNewMap: {'T':(v) => (v as List)?.map((dynamic e) => e == null ? null : (new BaseUserDO()..fromJson(e as Map, genericNewMap: null)))?.toList()}));
        return _data;
    }

    static Future<ResultDO<BaseUserDO>> getB2bBaseUserByEmail_9481(String arg0) async {;
        Map<String, dynamic> _paramsMap = {};
        _paramsMap["arg0"] = arg0;
        String _params = json.encode(_paramsMap);

        var _result = await ProxyRpcBase.getInstance().call('uicReadServiceClientTestPlugin', 'getB2bBaseUserByEmail_9481', _params);

        if (_result == null || !_result.success || _result.data == null) {
            return null;
        }

        Map<String, dynamic>  _resultMap = json.decode(_result.data) as Map<String, dynamic>;
        ResultDO<BaseUserDO> _data = _resultMap['Res'] == null ? null : (new ResultDO<BaseUserDO>()..fromJson(_resultMap['Res'] as Map, genericNewMap: {'T':(v) => new BaseUserDO()..fromJson(v as Map)}));
        return _data;
    }

    static Future<ResultDO<List<BaseUserDO>>> getB2bBaseUserListByEmail_9481(String arg0) async {;
        Map<String, dynamic> _paramsMap = {};
        _paramsMap["arg0"] = arg0;
        String _params = json.encode(_paramsMap);

        var _result = await ProxyRpcBase.getInstance().call('uicReadServiceClientTestPlugin', 'getB2bBaseUserListByEmail_9481', _params);

        if (_result == null || !_result.success || _result.data == null) {
            return null;
        }

        Map<String, dynamic>  _resultMap = json.decode(_result.data) as Map<String, dynamic>;
        ResultDO<List<BaseUserDO>> _data = _resultMap['Res'] == null ? null : (new ResultDO<List<BaseUserDO>>()..fromJson(_resultMap['Res'] as Map, genericNewMap: {'T':(v) => (v as List)?.map((dynamic e) => e == null ? null : (new BaseUserDO()..fromJson(e as Map, genericNewMap: null)))?.toList()}));
        return _data;
    }

    static Future<B2BExtraReadServiceClient> getB2bExtraReadServiceClient_ffff() async {;
        Map<String, dynamic> _paramsMap = {};
        String _params = json.encode(_paramsMap);

        var _result = await ProxyRpcBase.getInstance().call('uicReadServiceClientTestPlugin', 'getB2bExtraReadServiceClient_ffff', _params);

        if (_result == null || !_result.success || _result.data == null) {
            return null;
        }

        Map<String, dynamic>  _resultMap = json.decode(_result.data) as Map<String, dynamic>;
        B2BExtraReadServiceClient _data = _resultMap['Res'] == null ? null : (new B2BExtraReadServiceClient()..fromJson(_resultMap['Res'] as Map, genericNewMap: null));
        return _data;
    }

    static Future<ResultDO<BaseUserDO>> getBaseUserByEmail_59c0(String arg0, int arg1) async {;
        Map<String, dynamic> _paramsMap = {};
        _paramsMap["arg0"] = arg0;
        _paramsMap["arg1"] = arg1;
        String _params = json.encode(_paramsMap);

        var _result = await ProxyRpcBase.getInstance().call('uicReadServiceClientTestPlugin', 'getBaseUserByEmail_59c0', _params);

        if (_result == null || !_result.success || _result.data == null) {
            return null;
        }

        Map<String, dynamic>  _resultMap = json.decode(_result.data) as Map<String, dynamic>;
        ResultDO<BaseUserDO> _data = _resultMap['Res'] == null ? null : (new ResultDO<BaseUserDO>()..fromJson(_resultMap['Res'] as Map, genericNewMap: {'T':(v) => new BaseUserDO()..fromJson(v as Map)}));
        return _data;
    }

    static Future<ResultDO<BaseUserDO>> getBaseUserByEmail_9481(String arg0) async {;
        Map<String, dynamic> _paramsMap = {};
        _paramsMap["arg0"] = arg0;
        String _params = json.encode(_paramsMap);

        var _result = await ProxyRpcBase.getInstance().call('uicReadServiceClientTestPlugin', 'getBaseUserByEmail_9481', _params);

        if (_result == null || !_result.success || _result.data == null) {
            return null;
        }

        Map<String, dynamic>  _resultMap = json.decode(_result.data) as Map<String, dynamic>;
        ResultDO<BaseUserDO> _data = _resultMap['Res'] == null ? null : (new ResultDO<BaseUserDO>()..fromJson(_resultMap['Res'] as Map, genericNewMap: {'T':(v) => new BaseUserDO()..fromJson(v as Map)}));
        return _data;
    }

    static Future<ResultDO<BaseUserDO>> getBaseUserByHavanaId_2200(int arg0, int arg1) async {;
        Map<String, dynamic> _paramsMap = {};
        _paramsMap["arg0"] = arg0;
        _paramsMap["arg1"] = arg1;
        String _params = json.encode(_paramsMap);

        var _result = await ProxyRpcBase.getInstance().call('uicReadServiceClientTestPlugin', 'getBaseUserByHavanaId_2200', _params);

        if (_result == null || !_result.success || _result.data == null) {
            return null;
        }

        Map<String, dynamic>  _resultMap = json.decode(_result.data) as Map<String, dynamic>;
        ResultDO<BaseUserDO> _data = _resultMap['Res'] == null ? null : (new ResultDO<BaseUserDO>()..fromJson(_resultMap['Res'] as Map, genericNewMap: {'T':(v) => new BaseUserDO()..fromJson(v as Map)}));
        return _data;
    }

    static Future<ResultDO<BaseUserDO>> getBaseUserByLoginId_9481(String arg0) async {;
        Map<String, dynamic> _paramsMap = {};
        _paramsMap["arg0"] = arg0;
        String _params = json.encode(_paramsMap);

        var _result = await ProxyRpcBase.getInstance().call('uicReadServiceClientTestPlugin', 'getBaseUserByLoginId_9481', _params);

        if (_result == null || !_result.success || _result.data == null) {
            return null;
        }

        Map<String, dynamic>  _resultMap = json.decode(_result.data) as Map<String, dynamic>;
        ResultDO<BaseUserDO> _data = _resultMap['Res'] == null ? null : (new ResultDO<BaseUserDO>()..fromJson(_resultMap['Res'] as Map, genericNewMap: {'T':(v) => new BaseUserDO()..fromJson(v as Map)}));
        return _data;
    }

    static Future<ResultDO<BaseUserDO>> getBaseUserByMemberId_9481(String arg0) async {;
        Map<String, dynamic> _paramsMap = {};
        _paramsMap["arg0"] = arg0;
        String _params = json.encode(_paramsMap);

        var _result = await ProxyRpcBase.getInstance().call('uicReadServiceClientTestPlugin', 'getBaseUserByMemberId_9481', _params);

        if (_result == null || !_result.success || _result.data == null) {
            return null;
        }

        Map<String, dynamic>  _resultMap = json.decode(_result.data) as Map<String, dynamic>;
        ResultDO<BaseUserDO> _data = _resultMap['Res'] == null ? null : (new ResultDO<BaseUserDO>()..fromJson(_resultMap['Res'] as Map, genericNewMap: {'T':(v) => new BaseUserDO()..fromJson(v as Map)}));
        return _data;
    }

    static Future<ResultDO<BaseUserDO>> getBaseUserByNick_9481(String arg0) async {;
        Map<String, dynamic> _paramsMap = {};
        _paramsMap["arg0"] = arg0;
        String _params = json.encode(_paramsMap);

        var _result = await ProxyRpcBase.getInstance().call('uicReadServiceClientTestPlugin', 'getBaseUserByNick_9481', _params);

        if (_result == null || !_result.success || _result.data == null) {
            return null;
        }

        Map<String, dynamic>  _resultMap = json.decode(_result.data) as Map<String, dynamic>;
        ResultDO<BaseUserDO> _data = _resultMap['Res'] == null ? null : (new ResultDO<BaseUserDO>()..fromJson(_resultMap['Res'] as Map, genericNewMap: {'T':(v) => new BaseUserDO()..fromJson(v as Map)}));
        return _data;
    }

    static Future<ResultDO<BaseUserDO>> getBaseUserByUid32_9481(String arg0) async {;
        Map<String, dynamic> _paramsMap = {};
        _paramsMap["arg0"] = arg0;
        String _params = json.encode(_paramsMap);

        var _result = await ProxyRpcBase.getInstance().call('uicReadServiceClientTestPlugin', 'getBaseUserByUid32_9481', _params);

        if (_result == null || !_result.success || _result.data == null) {
            return null;
        }

        Map<String, dynamic>  _resultMap = json.decode(_result.data) as Map<String, dynamic>;
        ResultDO<BaseUserDO> _data = _resultMap['Res'] == null ? null : (new ResultDO<BaseUserDO>()..fromJson(_resultMap['Res'] as Map, genericNewMap: {'T':(v) => new BaseUserDO()..fromJson(v as Map)}));
        return _data;
    }

    static Future<ResultDO<BaseUserDO>> getBaseUserByUserId_ff01(int arg0) async {;
        Map<String, dynamic> _paramsMap = {};
        _paramsMap["arg0"] = arg0;
        String _params = json.encode(_paramsMap);

        var _result = await ProxyRpcBase.getInstance().call('uicReadServiceClientTestPlugin', 'getBaseUserByUserId_ff01', _params);

        if (_result == null || !_result.success || _result.data == null) {
            return null;
        }

        Map<String, dynamic>  _resultMap = json.decode(_result.data) as Map<String, dynamic>;
        ResultDO<BaseUserDO> _data = _resultMap['Res'] == null ? null : (new ResultDO<BaseUserDO>()..fromJson(_resultMap['Res'] as Map, genericNewMap: {'T':(v) => new BaseUserDO()..fromJson(v as Map)}));
        return _data;
    }

    static Future<ResultDO<List<BaseUserDO>>> getBaseUserListByBindMobile_9481(String arg0) async {;
        Map<String, dynamic> _paramsMap = {};
        _paramsMap["arg0"] = arg0;
        String _params = json.encode(_paramsMap);

        var _result = await ProxyRpcBase.getInstance().call('uicReadServiceClientTestPlugin', 'getBaseUserListByBindMobile_9481', _params);

        if (_result == null || !_result.success || _result.data == null) {
            return null;
        }

        Map<String, dynamic>  _resultMap = json.decode(_result.data) as Map<String, dynamic>;
        ResultDO<List<BaseUserDO>> _data = _resultMap['Res'] == null ? null : (new ResultDO<List<BaseUserDO>>()..fromJson(_resultMap['Res'] as Map, genericNewMap: {'T':(v) => (v as List)?.map((dynamic e) => e == null ? null : (new BaseUserDO()..fromJson(e as Map, genericNewMap: null)))?.toList()}));
        return _data;
    }

    static Future<ResultDO<List<BaseUserDO>>> getBaseUserListByEmail_59c0(String arg0, int arg1) async {;
        Map<String, dynamic> _paramsMap = {};
        _paramsMap["arg0"] = arg0;
        _paramsMap["arg1"] = arg1;
        String _params = json.encode(_paramsMap);

        var _result = await ProxyRpcBase.getInstance().call('uicReadServiceClientTestPlugin', 'getBaseUserListByEmail_59c0', _params);

        if (_result == null || !_result.success || _result.data == null) {
            return null;
        }

        Map<String, dynamic>  _resultMap = json.decode(_result.data) as Map<String, dynamic>;
        ResultDO<List<BaseUserDO>> _data = _resultMap['Res'] == null ? null : (new ResultDO<List<BaseUserDO>>()..fromJson(_resultMap['Res'] as Map, genericNewMap: {'T':(v) => (v as List)?.map((dynamic e) => e == null ? null : (new BaseUserDO()..fromJson(e as Map, genericNewMap: null)))?.toList()}));
        return _data;
    }

    static Future<ResultDO<List<BaseUserDO>>> getBaseUserListByEmail_9481(String arg0) async {;
        Map<String, dynamic> _paramsMap = {};
        _paramsMap["arg0"] = arg0;
        String _params = json.encode(_paramsMap);

        var _result = await ProxyRpcBase.getInstance().call('uicReadServiceClientTestPlugin', 'getBaseUserListByEmail_9481', _params);

        if (_result == null || !_result.success || _result.data == null) {
            return null;
        }

        Map<String, dynamic>  _resultMap = json.decode(_result.data) as Map<String, dynamic>;
        ResultDO<List<BaseUserDO>> _data = _resultMap['Res'] == null ? null : (new ResultDO<List<BaseUserDO>>()..fromJson(_resultMap['Res'] as Map, genericNewMap: {'T':(v) => (v as List)?.map((dynamic e) => e == null ? null : (new BaseUserDO()..fromJson(e as Map, genericNewMap: null)))?.toList()}));
        return _data;
    }

    static Future<ResultDO<List<BaseUserDO>>> getBaseUserListByIdcard_9481(String arg0) async {;
        Map<String, dynamic> _paramsMap = {};
        _paramsMap["arg0"] = arg0;
        String _params = json.encode(_paramsMap);

        var _result = await ProxyRpcBase.getInstance().call('uicReadServiceClientTestPlugin', 'getBaseUserListByIdcard_9481', _params);

        if (_result == null || !_result.success || _result.data == null) {
            return null;
        }

        Map<String, dynamic>  _resultMap = json.decode(_result.data) as Map<String, dynamic>;
        ResultDO<List<BaseUserDO>> _data = _resultMap['Res'] == null ? null : (new ResultDO<List<BaseUserDO>>()..fromJson(_resultMap['Res'] as Map, genericNewMap: {'T':(v) => (v as List)?.map((dynamic e) => e == null ? null : (new BaseUserDO()..fromJson(e as Map, genericNewMap: null)))?.toList()}));
        return _data;
    }

    static Future<ResultDO<List<BaseUserDO>>> getBaseUserListByMobile_59c0(String arg0, int arg1) async {;
        Map<String, dynamic> _paramsMap = {};
        _paramsMap["arg0"] = arg0;
        _paramsMap["arg1"] = arg1;
        String _params = json.encode(_paramsMap);

        var _result = await ProxyRpcBase.getInstance().call('uicReadServiceClientTestPlugin', 'getBaseUserListByMobile_59c0', _params);

        if (_result == null || !_result.success || _result.data == null) {
            return null;
        }

        Map<String, dynamic>  _resultMap = json.decode(_result.data) as Map<String, dynamic>;
        ResultDO<List<BaseUserDO>> _data = _resultMap['Res'] == null ? null : (new ResultDO<List<BaseUserDO>>()..fromJson(_resultMap['Res'] as Map, genericNewMap: {'T':(v) => (v as List)?.map((dynamic e) => e == null ? null : (new BaseUserDO()..fromJson(e as Map, genericNewMap: null)))?.toList()}));
        return _data;
    }

    static Future<ResultDO<List<BaseUserDO>>> getBaseUserListByMobile_9481(String arg0) async {;
        Map<String, dynamic> _paramsMap = {};
        _paramsMap["arg0"] = arg0;
        String _params = json.encode(_paramsMap);

        var _result = await ProxyRpcBase.getInstance().call('uicReadServiceClientTestPlugin', 'getBaseUserListByMobile_9481', _params);

        if (_result == null || !_result.success || _result.data == null) {
            return null;
        }

        Map<String, dynamic>  _resultMap = json.decode(_result.data) as Map<String, dynamic>;
        ResultDO<List<BaseUserDO>> _data = _resultMap['Res'] == null ? null : (new ResultDO<List<BaseUserDO>>()..fromJson(_resultMap['Res'] as Map, genericNewMap: {'T':(v) => (v as List)?.map((dynamic e) => e == null ? null : (new BaseUserDO()..fromJson(e as Map, genericNewMap: null)))?.toList()}));
        return _data;
    }

    static Future<ResultDO<List<BaseUserDO>>> getBaseUserListByUid32s_9481(String arg0) async {;
        Map<String, dynamic> _paramsMap = {};
        _paramsMap["arg0"] = arg0;
        String _params = json.encode(_paramsMap);

        var _result = await ProxyRpcBase.getInstance().call('uicReadServiceClientTestPlugin', 'getBaseUserListByUid32s_9481', _params);

        if (_result == null || !_result.success || _result.data == null) {
            return null;
        }

        Map<String, dynamic>  _resultMap = json.decode(_result.data) as Map<String, dynamic>;
        ResultDO<List<BaseUserDO>> _data = _resultMap['Res'] == null ? null : (new ResultDO<List<BaseUserDO>>()..fromJson(_resultMap['Res'] as Map, genericNewMap: {'T':(v) => (v as List)?.map((dynamic e) => e == null ? null : (new BaseUserDO()..fromJson(e as Map, genericNewMap: null)))?.toList()}));
        return _data;
    }

    static Future<ResultDO<List<BaseUserDO>>> getBaseUserListByUserIds_9481(String arg0) async {;
        Map<String, dynamic> _paramsMap = {};
        _paramsMap["arg0"] = arg0;
        String _params = json.encode(_paramsMap);

        var _result = await ProxyRpcBase.getInstance().call('uicReadServiceClientTestPlugin', 'getBaseUserListByUserIds_9481', _params);

        if (_result == null || !_result.success || _result.data == null) {
            return null;
        }

        Map<String, dynamic>  _resultMap = json.decode(_result.data) as Map<String, dynamic>;
        ResultDO<List<BaseUserDO>> _data = _resultMap['Res'] == null ? null : (new ResultDO<List<BaseUserDO>>()..fromJson(_resultMap['Res'] as Map, genericNewMap: {'T':(v) => (v as List)?.map((dynamic e) => e == null ? null : (new BaseUserDO()..fromJson(e as Map, genericNewMap: null)))?.toList()}));
        return _data;
    }

    static Future<ResultDO<Map<String, List<BaseUserDO>>>> getBaseUsersByBindMobiles_8341(List<String> arg0) async {;
        Map<String, dynamic> _paramsMap = {};
        _paramsMap["arg0"] = makePairJson(arg0 == null ? null : arg0.map((String e) => e).toList(),15);
        String _params = json.encode(_paramsMap);

        var _result = await ProxyRpcBase.getInstance().call('uicReadServiceClientTestPlugin', 'getBaseUsersByBindMobiles_8341', _params);

        if (_result == null || !_result.success || _result.data == null) {
            return null;
        }

        Map<String, dynamic>  _resultMap = json.decode(_result.data) as Map<String, dynamic>;
        ResultDO<Map<String, List<BaseUserDO>>> _data = _resultMap['Res'] == null ? null : (new ResultDO<Map<String, List<BaseUserDO>>>()..fromJson(_resultMap['Res'] as Map, genericNewMap: {'T':(v) => v == null ? null : (new Map<String, List<BaseUserDO>>.fromIterables((v as Map).keys.map((mkeyval) => JsonUtil.parseString(mkeyval))?.toList(),(v as Map).values.map((dynamic e) => (e as List)?.map((dynamic e) => e == null ? null : (new BaseUserDO()..fromJson(e as Map, genericNewMap: null)))?.toList())?.toList()))}));
        return _data;
    }

    static Future<ResultDO> getCbuUserIdByBaseUserId_ff01(int arg0) async {;
        Map<String, dynamic> _paramsMap = {};
        _paramsMap["arg0"] = arg0;
        String _params = json.encode(_paramsMap);

        var _result = await ProxyRpcBase.getInstance().call('uicReadServiceClientTestPlugin', 'getCbuUserIdByBaseUserId_ff01', _params);

        if (_result == null || !_result.success || _result.data == null) {
            return null;
        }

        Map<String, dynamic>  _resultMap = json.decode(_result.data) as Map<String, dynamic>;
        ResultDO _data = _resultMap['Res'] == null ? null : (new ResultDO()..fromJson(_resultMap['Res'] as Map, genericNewMap: null));
        return _data;
    }

    static Future<ResultDO<BaseUserDO>> getClearUserByUserId_ff01(int arg0) async {;
        Map<String, dynamic> _paramsMap = {};
        _paramsMap["arg0"] = arg0;
        String _params = json.encode(_paramsMap);

        var _result = await ProxyRpcBase.getInstance().call('uicReadServiceClientTestPlugin', 'getClearUserByUserId_ff01', _params);

        if (_result == null || !_result.success || _result.data == null) {
            return null;
        }

        Map<String, dynamic>  _resultMap = json.decode(_result.data) as Map<String, dynamic>;
        ResultDO<BaseUserDO> _data = _resultMap['Res'] == null ? null : (new ResultDO<BaseUserDO>()..fromJson(_resultMap['Res'] as Map, genericNewMap: {'T':(v) => new BaseUserDO()..fromJson(v as Map)}));
        return _data;
    }

    static Future<ClientInfo> getClientInfo_ffff() async {;
        Map<String, dynamic> _paramsMap = {};
        String _params = json.encode(_paramsMap);

        var _result = await ProxyRpcBase.getInstance().call('uicReadServiceClientTestPlugin', 'getClientInfo_ffff', _params);

        if (_result == null || !_result.success || _result.data == null) {
            return null;
        }

        Map<String, dynamic>  _resultMap = json.decode(_result.data) as Map<String, dynamic>;
        ClientInfo _data = _resultMap['Res'] == null ? null : (new ClientInfo()..fromJson(_resultMap['Res'] as Map, genericNewMap: null));
        return _data;
    }

    static Future<ResultDO<List<ContactDO>>> getContactInfoByEmail_59c0(String arg0, int arg1) async {;
        Map<String, dynamic> _paramsMap = {};
        _paramsMap["arg0"] = arg0;
        _paramsMap["arg1"] = arg1;
        String _params = json.encode(_paramsMap);

        var _result = await ProxyRpcBase.getInstance().call('uicReadServiceClientTestPlugin', 'getContactInfoByEmail_59c0', _params);

        if (_result == null || !_result.success || _result.data == null) {
            return null;
        }

        Map<String, dynamic>  _resultMap = json.decode(_result.data) as Map<String, dynamic>;
        ResultDO<List<ContactDO>> _data = _resultMap['Res'] == null ? null : (new ResultDO<List<ContactDO>>()..fromJson(_resultMap['Res'] as Map, genericNewMap: {'T':(v) => (v as List)?.map((dynamic e) => e == null ? null : (new ContactDO()..fromJson(e as Map, genericNewMap: null)))?.toList()}));
        return _data;
    }

    static Future<ResultDO<List<ContactDO>>> getContactInfoByEmail_9481(String arg0) async {;
        Map<String, dynamic> _paramsMap = {};
        _paramsMap["arg0"] = arg0;
        String _params = json.encode(_paramsMap);

        var _result = await ProxyRpcBase.getInstance().call('uicReadServiceClientTestPlugin', 'getContactInfoByEmail_9481', _params);

        if (_result == null || !_result.success || _result.data == null) {
            return null;
        }

        Map<String, dynamic>  _resultMap = json.decode(_result.data) as Map<String, dynamic>;
        ResultDO<List<ContactDO>> _data = _resultMap['Res'] == null ? null : (new ResultDO<List<ContactDO>>()..fromJson(_resultMap['Res'] as Map, genericNewMap: {'T':(v) => (v as List)?.map((dynamic e) => e == null ? null : (new ContactDO()..fromJson(e as Map, genericNewMap: null)))?.toList()}));
        return _data;
    }

    static Future<ResultDO<List<ContactDO>>> getContactInfoByMobilePhone_59c0(String arg0, int arg1) async {;
        Map<String, dynamic> _paramsMap = {};
        _paramsMap["arg0"] = arg0;
        _paramsMap["arg1"] = arg1;
        String _params = json.encode(_paramsMap);

        var _result = await ProxyRpcBase.getInstance().call('uicReadServiceClientTestPlugin', 'getContactInfoByMobilePhone_59c0', _params);

        if (_result == null || !_result.success || _result.data == null) {
            return null;
        }

        Map<String, dynamic>  _resultMap = json.decode(_result.data) as Map<String, dynamic>;
        ResultDO<List<ContactDO>> _data = _resultMap['Res'] == null ? null : (new ResultDO<List<ContactDO>>()..fromJson(_resultMap['Res'] as Map, genericNewMap: {'T':(v) => (v as List)?.map((dynamic e) => e == null ? null : (new ContactDO()..fromJson(e as Map, genericNewMap: null)))?.toList()}));
        return _data;
    }

    static Future<ResultDO<List<ContactDO>>> getContactInfoByMobilePhone_9481(String arg0) async {;
        Map<String, dynamic> _paramsMap = {};
        _paramsMap["arg0"] = arg0;
        String _params = json.encode(_paramsMap);

        var _result = await ProxyRpcBase.getInstance().call('uicReadServiceClientTestPlugin', 'getContactInfoByMobilePhone_9481', _params);

        if (_result == null || !_result.success || _result.data == null) {
            return null;
        }

        Map<String, dynamic>  _resultMap = json.decode(_result.data) as Map<String, dynamic>;
        ResultDO<List<ContactDO>> _data = _resultMap['Res'] == null ? null : (new ResultDO<List<ContactDO>>()..fromJson(_resultMap['Res'] as Map, genericNewMap: {'T':(v) => (v as List)?.map((dynamic e) => e == null ? null : (new ContactDO()..fromJson(e as Map, genericNewMap: null)))?.toList()}));
        return _data;
    }

    static Future<ResultDO<ContactDO>> getContactInfoByNick_9481(String arg0) async {;
        Map<String, dynamic> _paramsMap = {};
        _paramsMap["arg0"] = arg0;
        String _params = json.encode(_paramsMap);

        var _result = await ProxyRpcBase.getInstance().call('uicReadServiceClientTestPlugin', 'getContactInfoByNick_9481', _params);

        if (_result == null || !_result.success || _result.data == null) {
            return null;
        }

        Map<String, dynamic>  _resultMap = json.decode(_result.data) as Map<String, dynamic>;
        ResultDO<ContactDO> _data = _resultMap['Res'] == null ? null : (new ResultDO<ContactDO>()..fromJson(_resultMap['Res'] as Map, genericNewMap: {'T':(v) => new ContactDO()..fromJson(v as Map)}));
        return _data;
    }

    static Future<ResultDO<ContactDO>> getContactInfoByUserId_ff01(int arg0) async {;
        Map<String, dynamic> _paramsMap = {};
        _paramsMap["arg0"] = arg0;
        String _params = json.encode(_paramsMap);

        var _result = await ProxyRpcBase.getInstance().call('uicReadServiceClientTestPlugin', 'getContactInfoByUserId_ff01', _params);

        if (_result == null || !_result.success || _result.data == null) {
            return null;
        }

        Map<String, dynamic>  _resultMap = json.decode(_result.data) as Map<String, dynamic>;
        ResultDO<ContactDO> _data = _resultMap['Res'] == null ? null : (new ResultDO<ContactDO>()..fromJson(_resultMap['Res'] as Map, genericNewMap: {'T':(v) => new ContactDO()..fromJson(v as Map)}));
        return _data;
    }

    static Future<ResultDO> getExtraUserIdByBaseUserId_2200(int arg0, int arg1) async {;
        Map<String, dynamic> _paramsMap = {};
        _paramsMap["arg0"] = arg0;
        _paramsMap["arg1"] = arg1;
        String _params = json.encode(_paramsMap);

        var _result = await ProxyRpcBase.getInstance().call('uicReadServiceClientTestPlugin', 'getExtraUserIdByBaseUserId_2200', _params);

        if (_result == null || !_result.success || _result.data == null) {
            return null;
        }

        Map<String, dynamic>  _resultMap = json.decode(_result.data) as Map<String, dynamic>;
        ResultDO _data = _resultMap['Res'] == null ? null : (new ResultDO()..fromJson(_resultMap['Res'] as Map, genericNewMap: null));
        return _data;
    }

    static Future<ResultDO> getHavanaIdByUserId_ff01(int arg0) async {;
        Map<String, dynamic> _paramsMap = {};
        _paramsMap["arg0"] = arg0;
        String _params = json.encode(_paramsMap);

        var _result = await ProxyRpcBase.getInstance().call('uicReadServiceClientTestPlugin', 'getHavanaIdByUserId_ff01', _params);

        if (_result == null || !_result.success || _result.data == null) {
            return null;
        }

        Map<String, dynamic>  _resultMap = json.decode(_result.data) as Map<String, dynamic>;
        ResultDO _data = _resultMap['Res'] == null ? null : (new ResultDO()..fromJson(_resultMap['Res'] as Map, genericNewMap: null));
        return _data;
    }

    static Future<ResultDO<bool>> getIsActivedMobile_9481(String arg0) async {;
        Map<String, dynamic> _paramsMap = {};
        _paramsMap["arg0"] = arg0;
        String _params = json.encode(_paramsMap);

        var _result = await ProxyRpcBase.getInstance().call('uicReadServiceClientTestPlugin', 'getIsActivedMobile_9481', _params);

        if (_result == null || !_result.success || _result.data == null) {
            return null;
        }

        Map<String, dynamic>  _resultMap = json.decode(_result.data) as Map<String, dynamic>;
        ResultDO<bool> _data = _resultMap['Res'] == null ? null : (new ResultDO<bool>()..fromJson(_resultMap['Res'] as Map, genericNewMap: {'T':(v) => v}));
        return _data;
    }

    static Future<ResultDO<IdentifierCheckResult>> getIsEmailExistsInHavana_59c0(String arg0, int arg1) async {;
        Map<String, dynamic> _paramsMap = {};
        _paramsMap["arg0"] = arg0;
        _paramsMap["arg1"] = arg1;
        String _params = json.encode(_paramsMap);

        var _result = await ProxyRpcBase.getInstance().call('uicReadServiceClientTestPlugin', 'getIsEmailExistsInHavana_59c0', _params);

        if (_result == null || !_result.success || _result.data == null) {
            return null;
        }

        Map<String, dynamic>  _resultMap = json.decode(_result.data) as Map<String, dynamic>;
        ResultDO<IdentifierCheckResult> _data = _resultMap['Res'] == null ? null : (new ResultDO<IdentifierCheckResult>()..fromJson(_resultMap['Res'] as Map, genericNewMap: {'T':(v) => new IdentifierCheckResult()..fromJson(v as Map)}));
        return _data;
    }

    static Future<ResultDO<bool>> getIsEmailExists_59c0(String arg0, int arg1) async {;
        Map<String, dynamic> _paramsMap = {};
        _paramsMap["arg0"] = arg0;
        _paramsMap["arg1"] = arg1;
        String _params = json.encode(_paramsMap);

        var _result = await ProxyRpcBase.getInstance().call('uicReadServiceClientTestPlugin', 'getIsEmailExists_59c0', _params);

        if (_result == null || !_result.success || _result.data == null) {
            return null;
        }

        Map<String, dynamic>  _resultMap = json.decode(_result.data) as Map<String, dynamic>;
        ResultDO<bool> _data = _resultMap['Res'] == null ? null : (new ResultDO<bool>()..fromJson(_resultMap['Res'] as Map, genericNewMap: {'T':(v) => v}));
        return _data;
    }

    static Future<ResultDO<bool>> getIsEmailExists_9481(String arg0) async {;
        Map<String, dynamic> _paramsMap = {};
        _paramsMap["arg0"] = arg0;
        String _params = json.encode(_paramsMap);

        var _result = await ProxyRpcBase.getInstance().call('uicReadServiceClientTestPlugin', 'getIsEmailExists_9481', _params);

        if (_result == null || !_result.success || _result.data == null) {
            return null;
        }

        Map<String, dynamic>  _resultMap = json.decode(_result.data) as Map<String, dynamic>;
        ResultDO<bool> _data = _resultMap['Res'] == null ? null : (new ResultDO<bool>()..fromJson(_resultMap['Res'] as Map, genericNewMap: {'T':(v) => v}));
        return _data;
    }

    static Future<ResultDO<bool>> getIsEmailInActExists_9481(String arg0) async {;
        Map<String, dynamic> _paramsMap = {};
        _paramsMap["arg0"] = arg0;
        String _params = json.encode(_paramsMap);

        var _result = await ProxyRpcBase.getInstance().call('uicReadServiceClientTestPlugin', 'getIsEmailInActExists_9481', _params);

        if (_result == null || !_result.success || _result.data == null) {
            return null;
        }

        Map<String, dynamic>  _resultMap = json.decode(_result.data) as Map<String, dynamic>;
        ResultDO<bool> _data = _resultMap['Res'] == null ? null : (new ResultDO<bool>()..fromJson(_resultMap['Res'] as Map, genericNewMap: {'T':(v) => v}));
        return _data;
    }

    static Future<ResultDO<bool>> getIsExistFrozenUserInNickList_9481(String arg0) async {;
        Map<String, dynamic> _paramsMap = {};
        _paramsMap["arg0"] = arg0;
        String _params = json.encode(_paramsMap);

        var _result = await ProxyRpcBase.getInstance().call('uicReadServiceClientTestPlugin', 'getIsExistFrozenUserInNickList_9481', _params);

        if (_result == null || !_result.success || _result.data == null) {
            return null;
        }

        Map<String, dynamic>  _resultMap = json.decode(_result.data) as Map<String, dynamic>;
        ResultDO<bool> _data = _resultMap['Res'] == null ? null : (new ResultDO<bool>()..fromJson(_resultMap['Res'] as Map, genericNewMap: {'T':(v) => v}));
        return _data;
    }

    static Future<ResultDO<IdentifierCheckResult>> getIsMobileExistsInHavana_59c0(String arg0, int arg1) async {;
        Map<String, dynamic> _paramsMap = {};
        _paramsMap["arg0"] = arg0;
        _paramsMap["arg1"] = arg1;
        String _params = json.encode(_paramsMap);

        var _result = await ProxyRpcBase.getInstance().call('uicReadServiceClientTestPlugin', 'getIsMobileExistsInHavana_59c0', _params);

        if (_result == null || !_result.success || _result.data == null) {
            return null;
        }

        Map<String, dynamic>  _resultMap = json.decode(_result.data) as Map<String, dynamic>;
        ResultDO<IdentifierCheckResult> _data = _resultMap['Res'] == null ? null : (new ResultDO<IdentifierCheckResult>()..fromJson(_resultMap['Res'] as Map, genericNewMap: {'T':(v) => new IdentifierCheckResult()..fromJson(v as Map)}));
        return _data;
    }

    static Future<ResultDO<bool>> getIsMobileExists_59c0(String arg0, int arg1) async {;
        Map<String, dynamic> _paramsMap = {};
        _paramsMap["arg0"] = arg0;
        _paramsMap["arg1"] = arg1;
        String _params = json.encode(_paramsMap);

        var _result = await ProxyRpcBase.getInstance().call('uicReadServiceClientTestPlugin', 'getIsMobileExists_59c0', _params);

        if (_result == null || !_result.success || _result.data == null) {
            return null;
        }

        Map<String, dynamic>  _resultMap = json.decode(_result.data) as Map<String, dynamic>;
        ResultDO<bool> _data = _resultMap['Res'] == null ? null : (new ResultDO<bool>()..fromJson(_resultMap['Res'] as Map, genericNewMap: {'T':(v) => v}));
        return _data;
    }

    static Future<ResultDO<bool>> getIsMobileExists_9481(String arg0) async {;
        Map<String, dynamic> _paramsMap = {};
        _paramsMap["arg0"] = arg0;
        String _params = json.encode(_paramsMap);

        var _result = await ProxyRpcBase.getInstance().call('uicReadServiceClientTestPlugin', 'getIsMobileExists_9481', _params);

        if (_result == null || !_result.success || _result.data == null) {
            return null;
        }

        Map<String, dynamic>  _resultMap = json.decode(_result.data) as Map<String, dynamic>;
        ResultDO<bool> _data = _resultMap['Res'] == null ? null : (new ResultDO<bool>()..fromJson(_resultMap['Res'] as Map, genericNewMap: {'T':(v) => v}));
        return _data;
    }

    static Future<ResultDO<bool>> getIsNickOrLoginIdExistsInHavana_59c0(String arg0, int arg1) async {;
        Map<String, dynamic> _paramsMap = {};
        _paramsMap["arg0"] = arg0;
        _paramsMap["arg1"] = arg1;
        String _params = json.encode(_paramsMap);

        var _result = await ProxyRpcBase.getInstance().call('uicReadServiceClientTestPlugin', 'getIsNickOrLoginIdExistsInHavana_59c0', _params);

        if (_result == null || !_result.success || _result.data == null) {
            return null;
        }

        Map<String, dynamic>  _resultMap = json.decode(_result.data) as Map<String, dynamic>;
        ResultDO<bool> _data = _resultMap['Res'] == null ? null : (new ResultDO<bool>()..fromJson(_resultMap['Res'] as Map, genericNewMap: {'T':(v) => v}));
        return _data;
    }

    static Future<ResultDO<Member>> getMemberByHavanaId_ff01(int arg0) async {;
        Map<String, dynamic> _paramsMap = {};
        _paramsMap["arg0"] = arg0;
        String _params = json.encode(_paramsMap);

        var _result = await ProxyRpcBase.getInstance().call('uicReadServiceClientTestPlugin', 'getMemberByHavanaId_ff01', _params);

        if (_result == null || !_result.success || _result.data == null) {
            return null;
        }

        Map<String, dynamic>  _resultMap = json.decode(_result.data) as Map<String, dynamic>;
        ResultDO<Member> _data = _resultMap['Res'] == null ? null : (new ResultDO<Member>()..fromJson(_resultMap['Res'] as Map, genericNewMap: {'T':(v) => new Member()..fromJson(v as Map)}));
        return _data;
    }

    static Future<ResultDO<Member>> getMemberByUserId_ff01(int arg0) async {;
        Map<String, dynamic> _paramsMap = {};
        _paramsMap["arg0"] = arg0;
        String _params = json.encode(_paramsMap);

        var _result = await ProxyRpcBase.getInstance().call('uicReadServiceClientTestPlugin', 'getMemberByUserId_ff01', _params);

        if (_result == null || !_result.success || _result.data == null) {
            return null;
        }

        Map<String, dynamic>  _resultMap = json.decode(_result.data) as Map<String, dynamic>;
        ResultDO<Member> _data = _resultMap['Res'] == null ? null : (new ResultDO<Member>()..fromJson(_resultMap['Res'] as Map, genericNewMap: {'T':(v) => new Member()..fromJson(v as Map)}));
        return _data;
    }

    static Future<ResultDO<List<Member>>> getMemberListByEmail_9481(String arg0) async {;
        Map<String, dynamic> _paramsMap = {};
        _paramsMap["arg0"] = arg0;
        String _params = json.encode(_paramsMap);

        var _result = await ProxyRpcBase.getInstance().call('uicReadServiceClientTestPlugin', 'getMemberListByEmail_9481', _params);

        if (_result == null || !_result.success || _result.data == null) {
            return null;
        }

        Map<String, dynamic>  _resultMap = json.decode(_result.data) as Map<String, dynamic>;
        ResultDO<List<Member>> _data = _resultMap['Res'] == null ? null : (new ResultDO<List<Member>>()..fromJson(_resultMap['Res'] as Map, genericNewMap: {'T':(v) => (v as List)?.map((dynamic e) => e == null ? null : (new Member()..fromJson(e as Map, genericNewMap: null)))?.toList()}));
        return _data;
    }

    static Future<ResultDO<List<Member>>> getMemberListByMobile_9481(String arg0) async {;
        Map<String, dynamic> _paramsMap = {};
        _paramsMap["arg0"] = arg0;
        String _params = json.encode(_paramsMap);

        var _result = await ProxyRpcBase.getInstance().call('uicReadServiceClientTestPlugin', 'getMemberListByMobile_9481', _params);

        if (_result == null || !_result.success || _result.data == null) {
            return null;
        }

        Map<String, dynamic>  _resultMap = json.decode(_result.data) as Map<String, dynamic>;
        ResultDO<List<Member>> _data = _resultMap['Res'] == null ? null : (new ResultDO<List<Member>>()..fromJson(_resultMap['Res'] as Map, genericNewMap: {'T':(v) => (v as List)?.map((dynamic e) => e == null ? null : (new Member()..fromJson(e as Map, genericNewMap: null)))?.toList()}));
        return _data;
    }

    static Future<ResultDO<String>> getNickByUid32_9481(String arg0) async {;
        Map<String, dynamic> _paramsMap = {};
        _paramsMap["arg0"] = arg0;
        String _params = json.encode(_paramsMap);

        var _result = await ProxyRpcBase.getInstance().call('uicReadServiceClientTestPlugin', 'getNickByUid32_9481', _params);

        if (_result == null || !_result.success || _result.data == null) {
            return null;
        }

        Map<String, dynamic>  _resultMap = json.decode(_result.data) as Map<String, dynamic>;
        ResultDO<String> _data = _resultMap['Res'] == null ? null : (new ResultDO<String>()..fromJson(_resultMap['Res'] as Map, genericNewMap: {'T':(v) => v}));
        return _data;
    }

    static Future<ResultDO<List<BaseUserDO>>> getNoOrderBaseUserListByUserIds_9481(String arg0) async {;
        Map<String, dynamic> _paramsMap = {};
        _paramsMap["arg0"] = arg0;
        String _params = json.encode(_paramsMap);

        var _result = await ProxyRpcBase.getInstance().call('uicReadServiceClientTestPlugin', 'getNoOrderBaseUserListByUserIds_9481', _params);

        if (_result == null || !_result.success || _result.data == null) {
            return null;
        }

        Map<String, dynamic>  _resultMap = json.decode(_result.data) as Map<String, dynamic>;
        ResultDO<List<BaseUserDO>> _data = _resultMap['Res'] == null ? null : (new ResultDO<List<BaseUserDO>>()..fromJson(_resultMap['Res'] as Map, genericNewMap: {'T':(v) => (v as List)?.map((dynamic e) => e == null ? null : (new BaseUserDO()..fromJson(e as Map, genericNewMap: null)))?.toList()}));
        return _data;
    }

    static Future<ResultDO<TinyUserDO>> getTinyUserByUserId_ff01(int arg0) async {;
        Map<String, dynamic> _paramsMap = {};
        _paramsMap["arg0"] = arg0;
        String _params = json.encode(_paramsMap);

        var _result = await ProxyRpcBase.getInstance().call('uicReadServiceClientTestPlugin', 'getTinyUserByUserId_ff01', _params);

        if (_result == null || !_result.success || _result.data == null) {
            return null;
        }

        Map<String, dynamic>  _resultMap = json.decode(_result.data) as Map<String, dynamic>;
        ResultDO<TinyUserDO> _data = _resultMap['Res'] == null ? null : (new ResultDO<TinyUserDO>()..fromJson(_resultMap['Res'] as Map, genericNewMap: {'T':(v) => new TinyUserDO()..fromJson(v as Map)}));
        return _data;
    }

    static Future<ResultDO<List<TinyUserDO>>> getTinyUserListByUid32s_9481(String arg0) async {;
        Map<String, dynamic> _paramsMap = {};
        _paramsMap["arg0"] = arg0;
        String _params = json.encode(_paramsMap);

        var _result = await ProxyRpcBase.getInstance().call('uicReadServiceClientTestPlugin', 'getTinyUserListByUid32s_9481', _params);

        if (_result == null || !_result.success || _result.data == null) {
            return null;
        }

        Map<String, dynamic>  _resultMap = json.decode(_result.data) as Map<String, dynamic>;
        ResultDO<List<TinyUserDO>> _data = _resultMap['Res'] == null ? null : (new ResultDO<List<TinyUserDO>>()..fromJson(_resultMap['Res'] as Map, genericNewMap: {'T':(v) => (v as List)?.map((dynamic e) => e == null ? null : (new TinyUserDO()..fromJson(e as Map, genericNewMap: null)))?.toList()}));
        return _data;
    }

    static Future<ResultDO<List<TinyUserDO>>> getTinyUserListByUserIds_9481(String arg0) async {;
        Map<String, dynamic> _paramsMap = {};
        _paramsMap["arg0"] = arg0;
        String _params = json.encode(_paramsMap);

        var _result = await ProxyRpcBase.getInstance().call('uicReadServiceClientTestPlugin', 'getTinyUserListByUserIds_9481', _params);

        if (_result == null || !_result.success || _result.data == null) {
            return null;
        }

        Map<String, dynamic>  _resultMap = json.decode(_result.data) as Map<String, dynamic>;
        ResultDO<List<TinyUserDO>> _data = _resultMap['Res'] == null ? null : (new ResultDO<List<TinyUserDO>>()..fromJson(_resultMap['Res'] as Map, genericNewMap: {'T':(v) => (v as List)?.map((dynamic e) => e == null ? null : (new TinyUserDO()..fromJson(e as Map, genericNewMap: null)))?.toList()}));
        return _data;
    }

    static Future<ResultDO<String>> getTnickByNick_9481(String arg0) async {;
        Map<String, dynamic> _paramsMap = {};
        _paramsMap["arg0"] = arg0;
        String _params = json.encode(_paramsMap);

        var _result = await ProxyRpcBase.getInstance().call('uicReadServiceClientTestPlugin', 'getTnickByNick_9481', _params);

        if (_result == null || !_result.success || _result.data == null) {
            return null;
        }

        Map<String, dynamic>  _resultMap = json.decode(_result.data) as Map<String, dynamic>;
        ResultDO<String> _data = _resultMap['Res'] == null ? null : (new ResultDO<String>()..fromJson(_resultMap['Res'] as Map, genericNewMap: {'T':(v) => v}));
        return _data;
    }

    static Future<dynamic> getUicCacheService_ffff() async {;
        Map<String, dynamic> _paramsMap = {};
        String _params = json.encode(_paramsMap);

        var _result = await ProxyRpcBase.getInstance().call('uicReadServiceClientTestPlugin', 'getUicCacheService_ffff', _params);

        if (_result == null || !_result.success || _result.data == null) {
            return null;
        }

        Map<String, dynamic>  _resultMap = json.decode(_result.data) as Map<String, dynamic>;
        dynamic _data = _resultMap['Res'] as dynamic;
        return _data;
    }

    static Future<UicExtraReadServiceClient> getUicExtraReadServiceClient_ffff() async {;
        Map<String, dynamic> _paramsMap = {};
        String _params = json.encode(_paramsMap);

        var _result = await ProxyRpcBase.getInstance().call('uicReadServiceClientTestPlugin', 'getUicExtraReadServiceClient_ffff', _params);

        if (_result == null || !_result.success || _result.data == null) {
            return null;
        }

        Map<String, dynamic>  _resultMap = json.decode(_result.data) as Map<String, dynamic>;
        UicExtraReadServiceClient _data = _resultMap['Res'] == null ? null : (new UicExtraReadServiceClient()..fromJson(_resultMap['Res'] as Map, genericNewMap: null));
        return _data;
    }

    static Future<dynamic> getUicReadService_ffff() async {;
        Map<String, dynamic> _paramsMap = {};
        String _params = json.encode(_paramsMap);

        var _result = await ProxyRpcBase.getInstance().call('uicReadServiceClientTestPlugin', 'getUicReadService_ffff', _params);

        if (_result == null || !_result.success || _result.data == null) {
            return null;
        }

        Map<String, dynamic>  _resultMap = json.decode(_result.data) as Map<String, dynamic>;
        dynamic _data = _resultMap['Res'] as dynamic;
        return _data;
    }

    static Future<ResultDO<String>> getUid32ByNick_9481(String arg0) async {;
        Map<String, dynamic> _paramsMap = {};
        _paramsMap["arg0"] = arg0;
        String _params = json.encode(_paramsMap);

        var _result = await ProxyRpcBase.getInstance().call('uicReadServiceClientTestPlugin', 'getUid32ByNick_9481', _params);

        if (_result == null || !_result.success || _result.data == null) {
            return null;
        }

        Map<String, dynamic>  _resultMap = json.decode(_result.data) as Map<String, dynamic>;
        ResultDO<String> _data = _resultMap['Res'] == null ? null : (new ResultDO<String>()..fromJson(_resultMap['Res'] as Map, genericNewMap: {'T':(v) => v}));
        return _data;
    }

    static Future<ResultDO<BaseUserDO>> getUserAndB2BExtraByLoginId_9481(String arg0) async {;
        Map<String, dynamic> _paramsMap = {};
        _paramsMap["arg0"] = arg0;
        String _params = json.encode(_paramsMap);

        var _result = await ProxyRpcBase.getInstance().call('uicReadServiceClientTestPlugin', 'getUserAndB2BExtraByLoginId_9481', _params);

        if (_result == null || !_result.success || _result.data == null) {
            return null;
        }

        Map<String, dynamic>  _resultMap = json.decode(_result.data) as Map<String, dynamic>;
        ResultDO<BaseUserDO> _data = _resultMap['Res'] == null ? null : (new ResultDO<BaseUserDO>()..fromJson(_resultMap['Res'] as Map, genericNewMap: {'T':(v) => new BaseUserDO()..fromJson(v as Map)}));
        return _data;
    }

    static Future<ResultDO<BaseUserDO>> getUserAndB2BExtraByMemberId_9481(String arg0) async {;
        Map<String, dynamic> _paramsMap = {};
        _paramsMap["arg0"] = arg0;
        String _params = json.encode(_paramsMap);

        var _result = await ProxyRpcBase.getInstance().call('uicReadServiceClientTestPlugin', 'getUserAndB2BExtraByMemberId_9481', _params);

        if (_result == null || !_result.success || _result.data == null) {
            return null;
        }

        Map<String, dynamic>  _resultMap = json.decode(_result.data) as Map<String, dynamic>;
        ResultDO<BaseUserDO> _data = _resultMap['Res'] == null ? null : (new ResultDO<BaseUserDO>()..fromJson(_resultMap['Res'] as Map, genericNewMap: {'T':(v) => new BaseUserDO()..fromJson(v as Map)}));
        return _data;
    }

    static Future<ResultDO<BaseUserDO>> getUserAndB2BExtraByUserId_ff01(int arg0) async {;
        Map<String, dynamic> _paramsMap = {};
        _paramsMap["arg0"] = arg0;
        String _params = json.encode(_paramsMap);

        var _result = await ProxyRpcBase.getInstance().call('uicReadServiceClientTestPlugin', 'getUserAndB2BExtraByUserId_ff01', _params);

        if (_result == null || !_result.success || _result.data == null) {
            return null;
        }

        Map<String, dynamic>  _resultMap = json.decode(_result.data) as Map<String, dynamic>;
        ResultDO<BaseUserDO> _data = _resultMap['Res'] == null ? null : (new ResultDO<BaseUserDO>()..fromJson(_resultMap['Res'] as Map, genericNewMap: {'T':(v) => new BaseUserDO()..fromJson(v as Map)}));
        return _data;
    }

    static Future<ResultDO<List<BaseUserDO>>> getUserAndB2BExtraUserListByLoginIds_9481(String arg0) async {;
        Map<String, dynamic> _paramsMap = {};
        _paramsMap["arg0"] = arg0;
        String _params = json.encode(_paramsMap);

        var _result = await ProxyRpcBase.getInstance().call('uicReadServiceClientTestPlugin', 'getUserAndB2BExtraUserListByLoginIds_9481', _params);

        if (_result == null || !_result.success || _result.data == null) {
            return null;
        }

        Map<String, dynamic>  _resultMap = json.decode(_result.data) as Map<String, dynamic>;
        ResultDO<List<BaseUserDO>> _data = _resultMap['Res'] == null ? null : (new ResultDO<List<BaseUserDO>>()..fromJson(_resultMap['Res'] as Map, genericNewMap: {'T':(v) => (v as List)?.map((dynamic e) => e == null ? null : (new BaseUserDO()..fromJson(e as Map, genericNewMap: null)))?.toList()}));
        return _data;
    }

    static Future<ResultDO<List<BaseUserDO>>> getUserAndB2BExtraUserListByMemberIds_9481(String arg0) async {;
        Map<String, dynamic> _paramsMap = {};
        _paramsMap["arg0"] = arg0;
        String _params = json.encode(_paramsMap);

        var _result = await ProxyRpcBase.getInstance().call('uicReadServiceClientTestPlugin', 'getUserAndB2BExtraUserListByMemberIds_9481', _params);

        if (_result == null || !_result.success || _result.data == null) {
            return null;
        }

        Map<String, dynamic>  _resultMap = json.decode(_result.data) as Map<String, dynamic>;
        ResultDO<List<BaseUserDO>> _data = _resultMap['Res'] == null ? null : (new ResultDO<List<BaseUserDO>>()..fromJson(_resultMap['Res'] as Map, genericNewMap: {'T':(v) => (v as List)?.map((dynamic e) => e == null ? null : (new BaseUserDO()..fromJson(e as Map, genericNewMap: null)))?.toList()}));
        return _data;
    }

    static Future<ResultDO<List<BaseUserDO>>> getUserAndB2BExtraUserListByUserIds_9481(String arg0) async {;
        Map<String, dynamic> _paramsMap = {};
        _paramsMap["arg0"] = arg0;
        String _params = json.encode(_paramsMap);

        var _result = await ProxyRpcBase.getInstance().call('uicReadServiceClientTestPlugin', 'getUserAndB2BExtraUserListByUserIds_9481', _params);

        if (_result == null || !_result.success || _result.data == null) {
            return null;
        }

        Map<String, dynamic>  _resultMap = json.decode(_result.data) as Map<String, dynamic>;
        ResultDO<List<BaseUserDO>> _data = _resultMap['Res'] == null ? null : (new ResultDO<List<BaseUserDO>>()..fromJson(_resultMap['Res'] as Map, genericNewMap: {'T':(v) => (v as List)?.map((dynamic e) => e == null ? null : (new BaseUserDO()..fromJson(e as Map, genericNewMap: null)))?.toList()}));
        return _data;
    }

    static Future<ResultDO> getUserIdByHavanaId_2200(int arg0, int arg1) async {;
        Map<String, dynamic> _paramsMap = {};
        _paramsMap["arg0"] = arg0;
        _paramsMap["arg1"] = arg1;
        String _params = json.encode(_paramsMap);

        var _result = await ProxyRpcBase.getInstance().call('uicReadServiceClientTestPlugin', 'getUserIdByHavanaId_2200', _params);

        if (_result == null || !_result.success || _result.data == null) {
            return null;
        }

        Map<String, dynamic>  _resultMap = json.decode(_result.data) as Map<String, dynamic>;
        ResultDO _data = _resultMap['Res'] == null ? null : (new ResultDO()..fromJson(_resultMap['Res'] as Map, genericNewMap: null));
        return _data;
    }

    static Future<ResultDO<int>> getUserIdByLoginId_9481(String arg0) async {;
        Map<String, dynamic> _paramsMap = {};
        _paramsMap["arg0"] = arg0;
        String _params = json.encode(_paramsMap);

        var _result = await ProxyRpcBase.getInstance().call('uicReadServiceClientTestPlugin', 'getUserIdByLoginId_9481', _params);

        if (_result == null || !_result.success || _result.data == null) {
            return null;
        }

        Map<String, dynamic>  _resultMap = json.decode(_result.data) as Map<String, dynamic>;
        ResultDO<int> _data = _resultMap['Res'] == null ? null : (new ResultDO<int>()..fromJson(_resultMap['Res'] as Map, genericNewMap: {'T':(v) => v}));
        return _data;
    }

    static Future<ResultDO<int>> getUserIdByMemberId_9481(String arg0) async {;
        Map<String, dynamic> _paramsMap = {};
        _paramsMap["arg0"] = arg0;
        String _params = json.encode(_paramsMap);

        var _result = await ProxyRpcBase.getInstance().call('uicReadServiceClientTestPlugin', 'getUserIdByMemberId_9481', _params);

        if (_result == null || !_result.success || _result.data == null) {
            return null;
        }

        Map<String, dynamic>  _resultMap = json.decode(_result.data) as Map<String, dynamic>;
        ResultDO<int> _data = _resultMap['Res'] == null ? null : (new ResultDO<int>()..fromJson(_resultMap['Res'] as Map, genericNewMap: {'T':(v) => v}));
        return _data;
    }

    static Future<ResultDO<Map<String, int>>> getUserIdByNickList_8341(List<String> arg0) async {;
        Map<String, dynamic> _paramsMap = {};
        _paramsMap["arg0"] = makePairJson(arg0 == null ? null : arg0.map((String e) => e).toList(),15);
        String _params = json.encode(_paramsMap);

        var _result = await ProxyRpcBase.getInstance().call('uicReadServiceClientTestPlugin', 'getUserIdByNickList_8341', _params);

        if (_result == null || !_result.success || _result.data == null) {
            return null;
        }

        Map<String, dynamic>  _resultMap = json.decode(_result.data) as Map<String, dynamic>;
        ResultDO<Map<String, int>> _data = _resultMap['Res'] == null ? null : (new ResultDO<Map<String, int>>()..fromJson(_resultMap['Res'] as Map, genericNewMap: {'T':(v) => v == null ? null : (new Map<String, int>.fromIterables((v as Map).keys.map((mkeyval) => JsonUtil.parseString(mkeyval))?.toList(),(v as Map).values.map((dynamic e) => JsonUtil.parseInt(e))?.toList()))}));
        return _data;
    }

    static Future<ResultDO<int>> getUserIdByNick_9481(String arg0) async {;
        Map<String, dynamic> _paramsMap = {};
        _paramsMap["arg0"] = arg0;
        String _params = json.encode(_paramsMap);

        var _result = await ProxyRpcBase.getInstance().call('uicReadServiceClientTestPlugin', 'getUserIdByNick_9481', _params);

        if (_result == null || !_result.success || _result.data == null) {
            return null;
        }

        Map<String, dynamic>  _resultMap = json.decode(_result.data) as Map<String, dynamic>;
        ResultDO<int> _data = _resultMap['Res'] == null ? null : (new ResultDO<int>()..fromJson(_resultMap['Res'] as Map, genericNewMap: {'T':(v) => v}));
        return _data;
    }

    static Future<ResultDO> getUserIdByUid32_9481(String arg0) async {;
        Map<String, dynamic> _paramsMap = {};
        _paramsMap["arg0"] = arg0;
        String _params = json.encode(_paramsMap);

        var _result = await ProxyRpcBase.getInstance().call('uicReadServiceClientTestPlugin', 'getUserIdByUid32_9481', _params);

        if (_result == null || !_result.success || _result.data == null) {
            return null;
        }

        Map<String, dynamic>  _resultMap = json.decode(_result.data) as Map<String, dynamic>;
        ResultDO _data = _resultMap['Res'] == null ? null : (new ResultDO()..fromJson(_resultMap['Res'] as Map, genericNewMap: null));
        return _data;
    }

    static Future<ResultDO<List<int>>> getUserIdListByMemberIds_8341(List<String> arg0) async {;
        Map<String, dynamic> _paramsMap = {};
        _paramsMap["arg0"] = makePairJson(arg0 == null ? null : arg0.map((String e) => e).toList(),15);
        String _params = json.encode(_paramsMap);

        var _result = await ProxyRpcBase.getInstance().call('uicReadServiceClientTestPlugin', 'getUserIdListByMemberIds_8341', _params);

        if (_result == null || !_result.success || _result.data == null) {
            return null;
        }

        Map<String, dynamic>  _resultMap = json.decode(_result.data) as Map<String, dynamic>;
        ResultDO<List<int>> _data = _resultMap['Res'] == null ? null : (new ResultDO<List<int>>()..fromJson(_resultMap['Res'] as Map, genericNewMap: {'T':(v) => (v as List)?.map((dynamic e) => JsonUtil.parseInt(e))?.toList()}));
        return _data;
    }

    static Future<ResultDO<List<int>>> getUserIdListByMemberIds_fa01(List<String> arg0) async {;
        Map<String, dynamic> _paramsMap = {};
        _paramsMap["arg0"] = makePairJson(arg0 == null ? null : arg0.map((String e) => e).toList(),16);
        String _params = json.encode(_paramsMap);

        var _result = await ProxyRpcBase.getInstance().call('uicReadServiceClientTestPlugin', 'getUserIdListByMemberIds_fa01', _params);

        if (_result == null || !_result.success || _result.data == null) {
            return null;
        }

        Map<String, dynamic>  _resultMap = json.decode(_result.data) as Map<String, dynamic>;
        ResultDO<List<int>> _data = _resultMap['Res'] == null ? null : (new ResultDO<List<int>>()..fromJson(_resultMap['Res'] as Map, genericNewMap: {'T':(v) => (v as List)?.map((dynamic e) => JsonUtil.parseInt(e))?.toList()}));
        return _data;
    }

    static Future<ResultDO<Map<String, List<int>>>> getUserIdsByBindMobiles_8341(List<String> arg0) async {;
        Map<String, dynamic> _paramsMap = {};
        _paramsMap["arg0"] = makePairJson(arg0 == null ? null : arg0.map((String e) => e).toList(),15);
        String _params = json.encode(_paramsMap);

        var _result = await ProxyRpcBase.getInstance().call('uicReadServiceClientTestPlugin', 'getUserIdsByBindMobiles_8341', _params);

        if (_result == null || !_result.success || _result.data == null) {
            return null;
        }

        Map<String, dynamic>  _resultMap = json.decode(_result.data) as Map<String, dynamic>;
        ResultDO<Map<String, List<int>>> _data = _resultMap['Res'] == null ? null : (new ResultDO<Map<String, List<int>>>()..fromJson(_resultMap['Res'] as Map, genericNewMap: {'T':(v) => v == null ? null : (new Map<String, List<int>>.fromIterables((v as Map).keys.map((mkeyval) => JsonUtil.parseString(mkeyval))?.toList(),(v as Map).values.map((dynamic e) => (e as List)?.map((dynamic e) => JsonUtil.parseInt(e))?.toList())?.toList()))}));
        return _data;
    }

    static Future<ResultDO<List<BaseUserDO>>> getUserInfoByEmail_59c0(String arg0, int arg1) async {;
        Map<String, dynamic> _paramsMap = {};
        _paramsMap["arg0"] = arg0;
        _paramsMap["arg1"] = arg1;
        String _params = json.encode(_paramsMap);

        var _result = await ProxyRpcBase.getInstance().call('uicReadServiceClientTestPlugin', 'getUserInfoByEmail_59c0', _params);

        if (_result == null || !_result.success || _result.data == null) {
            return null;
        }

        Map<String, dynamic>  _resultMap = json.decode(_result.data) as Map<String, dynamic>;
        ResultDO<List<BaseUserDO>> _data = _resultMap['Res'] == null ? null : (new ResultDO<List<BaseUserDO>>()..fromJson(_resultMap['Res'] as Map, genericNewMap: {'T':(v) => (v as List)?.map((dynamic e) => e == null ? null : (new BaseUserDO()..fromJson(e as Map, genericNewMap: null)))?.toList()}));
        return _data;
    }

    static Future<ResultDO<List<BaseUserDO>>> getUserInfoByEmail_9481(String arg0) async {;
        Map<String, dynamic> _paramsMap = {};
        _paramsMap["arg0"] = arg0;
        String _params = json.encode(_paramsMap);

        var _result = await ProxyRpcBase.getInstance().call('uicReadServiceClientTestPlugin', 'getUserInfoByEmail_9481', _params);

        if (_result == null || !_result.success || _result.data == null) {
            return null;
        }

        Map<String, dynamic>  _resultMap = json.decode(_result.data) as Map<String, dynamic>;
        ResultDO<List<BaseUserDO>> _data = _resultMap['Res'] == null ? null : (new ResultDO<List<BaseUserDO>>()..fromJson(_resultMap['Res'] as Map, genericNewMap: {'T':(v) => (v as List)?.map((dynamic e) => e == null ? null : (new BaseUserDO()..fromJson(e as Map, genericNewMap: null)))?.toList()}));
        return _data;
    }

    static Future<ResultDO<BaseUserDO>> getUserInfoByNick_9481(String arg0) async {;
        Map<String, dynamic> _paramsMap = {};
        _paramsMap["arg0"] = arg0;
        String _params = json.encode(_paramsMap);

        var _result = await ProxyRpcBase.getInstance().call('uicReadServiceClientTestPlugin', 'getUserInfoByNick_9481', _params);

        if (_result == null || !_result.success || _result.data == null) {
            return null;
        }

        Map<String, dynamic>  _resultMap = json.decode(_result.data) as Map<String, dynamic>;
        ResultDO<BaseUserDO> _data = _resultMap['Res'] == null ? null : (new ResultDO<BaseUserDO>()..fromJson(_resultMap['Res'] as Map, genericNewMap: {'T':(v) => new BaseUserDO()..fromJson(v as Map)}));
        return _data;
    }

    static Future<ResultDO<BaseUserDO>> getUserInfoByUid32_9481(String arg0) async {;
        Map<String, dynamic> _paramsMap = {};
        _paramsMap["arg0"] = arg0;
        String _params = json.encode(_paramsMap);

        var _result = await ProxyRpcBase.getInstance().call('uicReadServiceClientTestPlugin', 'getUserInfoByUid32_9481', _params);

        if (_result == null || !_result.success || _result.data == null) {
            return null;
        }

        Map<String, dynamic>  _resultMap = json.decode(_result.data) as Map<String, dynamic>;
        ResultDO<BaseUserDO> _data = _resultMap['Res'] == null ? null : (new ResultDO<BaseUserDO>()..fromJson(_resultMap['Res'] as Map, genericNewMap: {'T':(v) => new BaseUserDO()..fromJson(v as Map)}));
        return _data;
    }

    static Future<ResultDO<BaseUserDO>> getUserInfoByUserId_ff01(int arg0) async {;
        Map<String, dynamic> _paramsMap = {};
        _paramsMap["arg0"] = arg0;
        String _params = json.encode(_paramsMap);

        var _result = await ProxyRpcBase.getInstance().call('uicReadServiceClientTestPlugin', 'getUserInfoByUserId_ff01', _params);

        if (_result == null || !_result.success || _result.data == null) {
            return null;
        }

        Map<String, dynamic>  _resultMap = json.decode(_result.data) as Map<String, dynamic>;
        ResultDO<BaseUserDO> _data = _resultMap['Res'] == null ? null : (new ResultDO<BaseUserDO>()..fromJson(_resultMap['Res'] as Map, genericNewMap: {'T':(v) => new BaseUserDO()..fromJson(v as Map)}));
        return _data;
    }

    static Future<ResultDO<List<BaseUserDO>>> getUserInfoListByMobile_59c0(String arg0, int arg1) async {;
        Map<String, dynamic> _paramsMap = {};
        _paramsMap["arg0"] = arg0;
        _paramsMap["arg1"] = arg1;
        String _params = json.encode(_paramsMap);

        var _result = await ProxyRpcBase.getInstance().call('uicReadServiceClientTestPlugin', 'getUserInfoListByMobile_59c0', _params);

        if (_result == null || !_result.success || _result.data == null) {
            return null;
        }

        Map<String, dynamic>  _resultMap = json.decode(_result.data) as Map<String, dynamic>;
        ResultDO<List<BaseUserDO>> _data = _resultMap['Res'] == null ? null : (new ResultDO<List<BaseUserDO>>()..fromJson(_resultMap['Res'] as Map, genericNewMap: {'T':(v) => (v as List)?.map((dynamic e) => e == null ? null : (new BaseUserDO()..fromJson(e as Map, genericNewMap: null)))?.toList()}));
        return _data;
    }

    static Future<ResultDO<List<BaseUserDO>>> getUserInfoListByMobile_9481(String arg0) async {;
        Map<String, dynamic> _paramsMap = {};
        _paramsMap["arg0"] = arg0;
        String _params = json.encode(_paramsMap);

        var _result = await ProxyRpcBase.getInstance().call('uicReadServiceClientTestPlugin', 'getUserInfoListByMobile_9481', _params);

        if (_result == null || !_result.success || _result.data == null) {
            return null;
        }

        Map<String, dynamic>  _resultMap = json.decode(_result.data) as Map<String, dynamic>;
        ResultDO<List<BaseUserDO>> _data = _resultMap['Res'] == null ? null : (new ResultDO<List<BaseUserDO>>()..fromJson(_resultMap['Res'] as Map, genericNewMap: {'T':(v) => (v as List)?.map((dynamic e) => e == null ? null : (new BaseUserDO()..fromJson(e as Map, genericNewMap: null)))?.toList()}));
        return _data;
    }

    static Future<ResultDO<List<BaseUserDO>>> getUserInfoListByUid32s_9481(String arg0) async {;
        Map<String, dynamic> _paramsMap = {};
        _paramsMap["arg0"] = arg0;
        String _params = json.encode(_paramsMap);

        var _result = await ProxyRpcBase.getInstance().call('uicReadServiceClientTestPlugin', 'getUserInfoListByUid32s_9481', _params);

        if (_result == null || !_result.success || _result.data == null) {
            return null;
        }

        Map<String, dynamic>  _resultMap = json.decode(_result.data) as Map<String, dynamic>;
        ResultDO<List<BaseUserDO>> _data = _resultMap['Res'] == null ? null : (new ResultDO<List<BaseUserDO>>()..fromJson(_resultMap['Res'] as Map, genericNewMap: {'T':(v) => (v as List)?.map((dynamic e) => e == null ? null : (new BaseUserDO()..fromJson(e as Map, genericNewMap: null)))?.toList()}));
        return _data;
    }

    static Future<ResultDO<List<BaseUserDO>>> getUserInfoListByUserIds_9481(String arg0) async {;
        Map<String, dynamic> _paramsMap = {};
        _paramsMap["arg0"] = arg0;
        String _params = json.encode(_paramsMap);

        var _result = await ProxyRpcBase.getInstance().call('uicReadServiceClientTestPlugin', 'getUserInfoListByUserIds_9481', _params);

        if (_result == null || !_result.success || _result.data == null) {
            return null;
        }

        Map<String, dynamic>  _resultMap = json.decode(_result.data) as Map<String, dynamic>;
        ResultDO<List<BaseUserDO>> _data = _resultMap['Res'] == null ? null : (new ResultDO<List<BaseUserDO>>()..fromJson(_resultMap['Res'] as Map, genericNewMap: {'T':(v) => (v as List)?.map((dynamic e) => e == null ? null : (new BaseUserDO()..fromJson(e as Map, genericNewMap: null)))?.toList()}));
        return _data;
    }

    static Future<ResultDO<List<String>>> getUserNickExist_9481(String arg0) async {;
        Map<String, dynamic> _paramsMap = {};
        _paramsMap["arg0"] = arg0;
        String _params = json.encode(_paramsMap);

        var _result = await ProxyRpcBase.getInstance().call('uicReadServiceClientTestPlugin', 'getUserNickExist_9481', _params);

        if (_result == null || !_result.success || _result.data == null) {
            return null;
        }

        Map<String, dynamic>  _resultMap = json.decode(_result.data) as Map<String, dynamic>;
        ResultDO<List<String>> _data = _resultMap['Res'] == null ? null : (new ResultDO<List<String>>()..fromJson(_resultMap['Res'] as Map, genericNewMap: {'T':(v) => (v as List)?.map((dynamic e) => JsonUtil.parseString(e))?.toList()}));
        return _data;
    }

    static Future<ResultDO<TinyUserDO>> getWWMsgUserByNick_9481(String arg0) async {;
        Map<String, dynamic> _paramsMap = {};
        _paramsMap["arg0"] = arg0;
        String _params = json.encode(_paramsMap);

        var _result = await ProxyRpcBase.getInstance().call('uicReadServiceClientTestPlugin', 'getWWMsgUserByNick_9481', _params);

        if (_result == null || !_result.success || _result.data == null) {
            return null;
        }

        Map<String, dynamic>  _resultMap = json.decode(_result.data) as Map<String, dynamic>;
        ResultDO<TinyUserDO> _data = _resultMap['Res'] == null ? null : (new ResultDO<TinyUserDO>()..fromJson(_resultMap['Res'] as Map, genericNewMap: {'T':(v) => new TinyUserDO()..fromJson(v as Map)}));
        return _data;
    }

    static Future<ResultDO<BaseUserDO>> getWholeUserInfobyLoginId_9481(String arg0) async {;
        Map<String, dynamic> _paramsMap = {};
        _paramsMap["arg0"] = arg0;
        String _params = json.encode(_paramsMap);

        var _result = await ProxyRpcBase.getInstance().call('uicReadServiceClientTestPlugin', 'getWholeUserInfobyLoginId_9481', _params);

        if (_result == null || !_result.success || _result.data == null) {
            return null;
        }

        Map<String, dynamic>  _resultMap = json.decode(_result.data) as Map<String, dynamic>;
        ResultDO<BaseUserDO> _data = _resultMap['Res'] == null ? null : (new ResultDO<BaseUserDO>()..fromJson(_resultMap['Res'] as Map, genericNewMap: {'T':(v) => new BaseUserDO()..fromJson(v as Map)}));
        return _data;
    }

    static Future<ResultDO<BaseUserDO>> getWholeUserInfobyMemberid_9481(String arg0) async {;
        Map<String, dynamic> _paramsMap = {};
        _paramsMap["arg0"] = arg0;
        String _params = json.encode(_paramsMap);

        var _result = await ProxyRpcBase.getInstance().call('uicReadServiceClientTestPlugin', 'getWholeUserInfobyMemberid_9481', _params);

        if (_result == null || !_result.success || _result.data == null) {
            return null;
        }

        Map<String, dynamic>  _resultMap = json.decode(_result.data) as Map<String, dynamic>;
        ResultDO<BaseUserDO> _data = _resultMap['Res'] == null ? null : (new ResultDO<BaseUserDO>()..fromJson(_resultMap['Res'] as Map, genericNewMap: {'T':(v) => new BaseUserDO()..fromJson(v as Map)}));
        return _data;
    }

    static Future<ResultDO<BaseUserDO>> getWholeUserInfobyUserid_fcc1(int arg0) async {;
        Map<String, dynamic> _paramsMap = {};
        _paramsMap["arg0"] = arg0;
        String _params = json.encode(_paramsMap);

        var _result = await ProxyRpcBase.getInstance().call('uicReadServiceClientTestPlugin', 'getWholeUserInfobyUserid_fcc1', _params);

        if (_result == null || !_result.success || _result.data == null) {
            return null;
        }

        Map<String, dynamic>  _resultMap = json.decode(_result.data) as Map<String, dynamic>;
        ResultDO<BaseUserDO> _data = _resultMap['Res'] == null ? null : (new ResultDO<BaseUserDO>()..fromJson(_resultMap['Res'] as Map, genericNewMap: {'T':(v) => new BaseUserDO()..fromJson(v as Map)}));
        return _data;
    }

    static Future<void> setB2bExtraReadServiceClient_d80(B2BExtraReadServiceClient arg0) async {
        Map<String, dynamic> _paramsMap = {};
        _paramsMap["arg0"] = makePairJson(arg0?.toJson(),r'com.taobao.uic.common.service.userinfo.client.B2BExtraReadServiceClient');
        String _params = json.encode(_paramsMap);

        await ProxyRpcBase.getInstance().call('uicReadServiceClientTestPlugin', 'setB2bExtraReadServiceClient_d80', _params);
        return;
    }

    static Future<void> setClientInfo_1540(ClientInfo arg0) async {
        Map<String, dynamic> _paramsMap = {};
        _paramsMap["arg0"] = makePairJson(arg0?.toJson(),r'com.taobao.uic.common.util.ClientInfo');
        String _params = json.encode(_paramsMap);

        await ProxyRpcBase.getInstance().call('uicReadServiceClientTestPlugin', 'setClientInfo_1540', _params);
        return;
    }

    static Future<void> setUicCacheService_3600(dynamic arg0) async {
        Map<String, dynamic> _paramsMap = {};
        _paramsMap["arg0"] = arg0;
        String _params = json.encode(_paramsMap);

        await ProxyRpcBase.getInstance().call('uicReadServiceClientTestPlugin', 'setUicCacheService_3600', _params);
        return;
    }

    static Future<void> setUicExtraReadServiceClient_1380(UicExtraReadServiceClient arg0) async {
        Map<String, dynamic> _paramsMap = {};
        _paramsMap["arg0"] = makePairJson(arg0?.toJson(),r'com.taobao.uic.common.service.userinfo.client.UicExtraReadServiceClient');
        String _params = json.encode(_paramsMap);

        await ProxyRpcBase.getInstance().call('uicReadServiceClientTestPlugin', 'setUicExtraReadServiceClient_1380', _params);
        return;
    }

    static Future<void> setUicReadService_3600(dynamic arg0) async {
        Map<String, dynamic> _paramsMap = {};
        _paramsMap["arg0"] = arg0;
        String _params = json.encode(_paramsMap);

        await ProxyRpcBase.getInstance().call('uicReadServiceClientTestPlugin', 'setUicReadService_3600', _params);
        return;
    }

    static Future<ResultDO<bool>> verifyPasswordByLoginId_7bc0(String arg0, String arg1) async {;
        Map<String, dynamic> _paramsMap = {};
        _paramsMap["arg0"] = arg0;
        _paramsMap["arg1"] = arg1;
        String _params = json.encode(_paramsMap);

        var _result = await ProxyRpcBase.getInstance().call('uicReadServiceClientTestPlugin', 'verifyPasswordByLoginId_7bc0', _params);

        if (_result == null || !_result.success || _result.data == null) {
            return null;
        }

        Map<String, dynamic>  _resultMap = json.decode(_result.data) as Map<String, dynamic>;
        ResultDO<bool> _data = _resultMap['Res'] == null ? null : (new ResultDO<bool>()..fromJson(_resultMap['Res'] as Map, genericNewMap: {'T':(v) => v}));
        return _data;
    }

    static Future<ResultDO<bool>> verifyPasswordBySnick_7bc0(String arg0, String arg1) async {;
        Map<String, dynamic> _paramsMap = {};
        _paramsMap["arg0"] = arg0;
        _paramsMap["arg1"] = arg1;
        String _params = json.encode(_paramsMap);

        var _result = await ProxyRpcBase.getInstance().call('uicReadServiceClientTestPlugin', 'verifyPasswordBySnick_7bc0', _params);

        if (_result == null || !_result.success || _result.data == null) {
            return null;
        }

        Map<String, dynamic>  _resultMap = json.decode(_result.data) as Map<String, dynamic>;
        ResultDO<bool> _data = _resultMap['Res'] == null ? null : (new ResultDO<bool>()..fromJson(_resultMap['Res'] as Map, genericNewMap: {'T':(v) => v}));
        return _data;
    }

    static Future<ResultDO<bool>> verifyPasswordByUserId_95c1(int arg0, String arg1) async {;
        Map<String, dynamic> _paramsMap = {};
        _paramsMap["arg0"] = arg0;
        _paramsMap["arg1"] = arg1;
        String _params = json.encode(_paramsMap);

        var _result = await ProxyRpcBase.getInstance().call('uicReadServiceClientTestPlugin', 'verifyPasswordByUserId_95c1', _params);

        if (_result == null || !_result.success || _result.data == null) {
            return null;
        }

        Map<String, dynamic>  _resultMap = json.decode(_result.data) as Map<String, dynamic>;
        ResultDO<bool> _data = _resultMap['Res'] == null ? null : (new ResultDO<bool>()..fromJson(_resultMap['Res'] as Map, genericNewMap: {'T':(v) => v}));
        return _data;
    }

    static Future<ResultDO<bool>> verifyUpdatePasswod_ee01(String arg0, int arg1, String arg2) async {;
        Map<String, dynamic> _paramsMap = {};
        _paramsMap["arg0"] = arg0;
        _paramsMap["arg1"] = arg1;
        _paramsMap["arg2"] = arg2;
        String _params = json.encode(_paramsMap);

        var _result = await ProxyRpcBase.getInstance().call('uicReadServiceClientTestPlugin', 'verifyUpdatePasswod_ee01', _params);

        if (_result == null || !_result.success || _result.data == null) {
            return null;
        }

        Map<String, dynamic>  _resultMap = json.decode(_result.data) as Map<String, dynamic>;
        ResultDO<bool> _data = _resultMap['Res'] == null ? null : (new ResultDO<bool>()..fromJson(_resultMap['Res'] as Map, genericNewMap: {'T':(v) => v}));
        return _data;
    }

}
