import 'package:saker/framework/hsf/hsf_object_base.dart';
import 'package:uic_test/domains/com/taobao/uic/common/domain/version_d_o.dart';

class B2BExtraUserDO extends VersionDO implements DObjectBase {
    String address;

    String country;

    int userId;

    String city;

    String province;

    String zip;

    DateTime gmtModified;

    String memberId;

    DateTime gmtCreate;

    int baseUserId;

    String penName;

    String memberLevel;

    String faxCountry;

    String faxArea;

    String faxNumber;

    String homePageUrl;

    String companyEmail;

    String companyMobile;

    String businessRole;

    String jobTitle;

    String department;

    String company;

    String isAlibabaNotify;

    String isOtherNotify;

    String bizType;

    DateTime gmtPaidJoin;

    String buyKeywords;

    String saleKeywords;

    String domainId;

    String communityLevel;

    String site;

    int multiSign;

    String md5Password;

    int multiSign1;

    int multiSign2;

    int multiSign3;

    int multiSign4;

    int categoryId;

    int trustScore;

    int maturity;

    String firstName;

    String title;

    DateTime activeDate;

    int buyRate;

    int saleRate;

    int tpYear;


    String getRType() {
        return r'com.taobao.uic.common.domain.B2BExtraUserDO';
    }

    @override
    void fromJson(Map<dynamic, dynamic> json, {Map<String, generic_new_func> genericNewMap}) {
        super.fromJson(json, genericNewMap: null);

        //从Map转成对象的实现
        address = JsonUtil.parseString(json['address']);
        country = JsonUtil.parseString(json['country']);
        userId = JsonUtil.parseInt(json['userId']);
        city = JsonUtil.parseString(json['city']);
        province = JsonUtil.parseString(json['province']);
        zip = JsonUtil.parseString(json['zip']);
        gmtModified = JsonUtil.parseDateTime(json['gmtModified']);
        memberId = JsonUtil.parseString(json['memberId']);
        gmtCreate = JsonUtil.parseDateTime(json['gmtCreate']);
        baseUserId = JsonUtil.parseInt(json['baseUserId']);
        penName = JsonUtil.parseString(json['penName']);
        memberLevel = JsonUtil.parseString(json['memberLevel']);
        faxCountry = JsonUtil.parseString(json['faxCountry']);
        faxArea = JsonUtil.parseString(json['faxArea']);
        faxNumber = JsonUtil.parseString(json['faxNumber']);
        homePageUrl = JsonUtil.parseString(json['homePageUrl']);
        companyEmail = JsonUtil.parseString(json['companyEmail']);
        companyMobile = JsonUtil.parseString(json['companyMobile']);
        businessRole = JsonUtil.parseString(json['businessRole']);
        jobTitle = JsonUtil.parseString(json['jobTitle']);
        department = JsonUtil.parseString(json['department']);
        company = JsonUtil.parseString(json['company']);
        isAlibabaNotify = JsonUtil.parseString(json['isAlibabaNotify']);
        isOtherNotify = JsonUtil.parseString(json['isOtherNotify']);
        bizType = JsonUtil.parseString(json['bizType']);
        gmtPaidJoin = JsonUtil.parseDateTime(json['gmtPaidJoin']);
        buyKeywords = JsonUtil.parseString(json['buyKeywords']);
        saleKeywords = JsonUtil.parseString(json['saleKeywords']);
        domainId = JsonUtil.parseString(json['domainId']);
        communityLevel = JsonUtil.parseString(json['communityLevel']);
        site = JsonUtil.parseString(json['site']);
        multiSign = JsonUtil.parseInt(json['multiSign']);
        md5Password = JsonUtil.parseString(json['md5Password']);
        multiSign1 = JsonUtil.parseInt(json['multiSign1']);
        multiSign2 = JsonUtil.parseInt(json['multiSign2']);
        multiSign3 = JsonUtil.parseInt(json['multiSign3']);
        multiSign4 = JsonUtil.parseInt(json['multiSign4']);
        categoryId = JsonUtil.parseInt(json['categoryId']);
        trustScore = JsonUtil.parseInt(json['trustScore']);
        maturity = JsonUtil.parseInt(json['maturity']);
        firstName = JsonUtil.parseString(json['firstName']);
        title = JsonUtil.parseString(json['title']);
        activeDate = JsonUtil.parseDateTime(json['activeDate']);
        buyRate = JsonUtil.parseInt(json['buyRate']);
        saleRate = JsonUtil.parseInt(json['saleRate']);
        tpYear = JsonUtil.parseInt(json['tpYear']);
    }

    @override
    Map<String, dynamic> toHessianJson() {
        Map<String, dynamic> val = {};

        val.addAll(super.toHessianJson());

        void writeNotNull(String key, dynamic value) {
          if (value != null) {
            val[key] = value;
          }
        }

        writeNotNull('address', makePair(address,14));
        writeNotNull('country', makePair(country,14));
        writeNotNull('userId', makePair(userId,7));
        writeNotNull('city', makePair(city,14));
        writeNotNull('province', makePair(province,14));
        writeNotNull('zip', makePair(zip,14));
        writeNotNull('gmtModified', makePair(gmtModified?.millisecondsSinceEpoch,13));
        writeNotNull('memberId', makePair(memberId,14));
        writeNotNull('gmtCreate', makePair(gmtCreate?.millisecondsSinceEpoch,13));
        writeNotNull('baseUserId', makePair(baseUserId,7));
        writeNotNull('penName', makePair(penName,14));
        writeNotNull('memberLevel', makePair(memberLevel,14));
        writeNotNull('faxCountry', makePair(faxCountry,14));
        writeNotNull('faxArea', makePair(faxArea,14));
        writeNotNull('faxNumber', makePair(faxNumber,14));
        writeNotNull('homePageUrl', makePair(homePageUrl,14));
        writeNotNull('companyEmail', makePair(companyEmail,14));
        writeNotNull('companyMobile', makePair(companyMobile,14));
        writeNotNull('businessRole', makePair(businessRole,14));
        writeNotNull('jobTitle', makePair(jobTitle,14));
        writeNotNull('department', makePair(department,14));
        writeNotNull('company', makePair(company,14));
        writeNotNull('isAlibabaNotify', makePair(isAlibabaNotify,14));
        writeNotNull('isOtherNotify', makePair(isOtherNotify,14));
        writeNotNull('bizType', makePair(bizType,14));
        writeNotNull('gmtPaidJoin', makePair(gmtPaidJoin?.millisecondsSinceEpoch,13));
        writeNotNull('buyKeywords', makePair(buyKeywords,14));
        writeNotNull('saleKeywords', makePair(saleKeywords,14));
        writeNotNull('domainId', makePair(domainId,14));
        writeNotNull('communityLevel', makePair(communityLevel,14));
        writeNotNull('site', makePair(site,14));
        writeNotNull('multiSign', makePair(multiSign,7));
        writeNotNull('md5Password', makePair(md5Password,14));
        writeNotNull('multiSign1', makePair(multiSign1,7));
        writeNotNull('multiSign2', makePair(multiSign2,7));
        writeNotNull('multiSign3', makePair(multiSign3,7));
        writeNotNull('multiSign4', makePair(multiSign4,7));
        writeNotNull('categoryId', makePair(categoryId,5));
        writeNotNull('trustScore', makePair(trustScore,5));
        writeNotNull('maturity', makePair(maturity,5));
        writeNotNull('firstName', makePair(firstName,14));
        writeNotNull('title', makePair(title,14));
        writeNotNull('activeDate', makePair(activeDate?.millisecondsSinceEpoch,13));
        writeNotNull('buyRate', makePair(buyRate,7));
        writeNotNull('saleRate', makePair(saleRate,7));
        writeNotNull('tpYear', makePair(tpYear,5));
        return val;
    }

    @override
    dynamic toJson() {
        Map<String, dynamic> val = {};

        dynamic superVal = super.toJson();
        if (superVal != null && superVal is Map<String, dynamic>) {
            val.addAll(superVal);
        }

        void writeNotNull(String key, dynamic value) {
          if (value != null) {
            val[key] = value;
          }
        }

        writeNotNull('address', address);
        writeNotNull('country', country);
        writeNotNull('userId', userId);
        writeNotNull('city', city);
        writeNotNull('province', province);
        writeNotNull('zip', zip);
        writeNotNull('gmtModified', gmtModified);
        writeNotNull('memberId', memberId);
        writeNotNull('gmtCreate', gmtCreate);
        writeNotNull('baseUserId', baseUserId);
        writeNotNull('penName', penName);
        writeNotNull('memberLevel', memberLevel);
        writeNotNull('faxCountry', faxCountry);
        writeNotNull('faxArea', faxArea);
        writeNotNull('faxNumber', faxNumber);
        writeNotNull('homePageUrl', homePageUrl);
        writeNotNull('companyEmail', companyEmail);
        writeNotNull('companyMobile', companyMobile);
        writeNotNull('businessRole', businessRole);
        writeNotNull('jobTitle', jobTitle);
        writeNotNull('department', department);
        writeNotNull('company', company);
        writeNotNull('isAlibabaNotify', isAlibabaNotify);
        writeNotNull('isOtherNotify', isOtherNotify);
        writeNotNull('bizType', bizType);
        writeNotNull('gmtPaidJoin', gmtPaidJoin);
        writeNotNull('buyKeywords', buyKeywords);
        writeNotNull('saleKeywords', saleKeywords);
        writeNotNull('domainId', domainId);
        writeNotNull('communityLevel', communityLevel);
        writeNotNull('site', site);
        writeNotNull('multiSign', multiSign);
        writeNotNull('md5Password', md5Password);
        writeNotNull('multiSign1', multiSign1);
        writeNotNull('multiSign2', multiSign2);
        writeNotNull('multiSign3', multiSign3);
        writeNotNull('multiSign4', multiSign4);
        writeNotNull('categoryId', categoryId);
        writeNotNull('trustScore', trustScore);
        writeNotNull('maturity', maturity);
        writeNotNull('firstName', firstName);
        writeNotNull('title', title);
        writeNotNull('activeDate', activeDate);
        writeNotNull('buyRate', buyRate);
        writeNotNull('saleRate', saleRate);
        writeNotNull('tpYear', tpYear);
        return val;
    }
}
